// -*-c++-*-
#ifndef _EVENT_GENERATOR_H__
#define _EVENT_GENERATOR_H__
#include "../../../../framework/ccacore/Port.h"
#include "../../../../framework/idl/eventPort/EventPort_idl.h"
#include "../../../../framework/idl/eventPort/Event.h"
#include "../../../../framework/idl/eventPort/ProvidesEventPort.h"
#include "../../../../framework/ccacore/Component.h"
#include "../../../../framework/idl/string/ProvidesString_idlPort.h"


class EventGenerator: public Component, public ProvidesEventPort{
private:
  Services *core;
public:
  EventGenerator();
  void setServices(Services *cc);
  int notify(Event *);
  void execute();
};

#endif // _EVENT_GENERATOR_H__
