#ifndef CCAT_ASSEMBLE_PARAM_H
#define CCAT_ASSEMBLE_PARAM_H


#include "../../../../framework/idl/assembleParms/ProvidesAssembleParms.h"

class AssembleComponent;
class AssembleParms;

class AssembleParms_impl : public ProvidesAssembleParms {
    public:

        AssembleParms_impl(AssembleComponent *sc);
        virtual ~AssembleParms_impl();

        virtual int sendAssembleParms();
        virtual int start();
        virtual int stop();
        virtual int kill();
	virtual char* getOutputURL();

    private:

        AssembleComponent *const m_component;
	pthread_attr_t m_threadAttr;
	static void* killInANewThread(void *);
	static const int maxDirectoryNameLength;
	char* m_directoryName;
};


#endif
