#include <iomanip.h>
#include <iostream.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include <BasicInfoParms.h>
#include <hpcxx_rts.h>
#include "../../../../framework/util/hpcxx_byte.h"
#include "../../../../framework/util/HPCxx_String.h"


BasicInfoParms::BasicInfoParms(){
  level = 1;
}

BasicInfoParms::BasicInfoParms(int level)
{
  this->level = level;
};

BasicInfoParms::~BasicInfoParms(){
};

// Return a control parameter object to driver

BasicInfoParms getParameters(){
    int k;
    BasicInfoParms* p = new BasicInfoParms;
    getparms_(&k);
    p->level = k;
    return *p;
}

void
hpcxx_pack(HPCxx_Buffer& buffer, BasicInfoParms *p, int count) {

    for (int i = 0; i < count; i++) {

      //NexusRMI packs byte 20 to indicate that it is an object
      hpcxx_byte k20(20);
      hpcxx_pack(buffer, &k20,1);
      //NexusRMI packs the fully qualified class name of the object
      HPCxx_String FQN("idl.basicInfoParms.BasicInfoParms");
      hpcxx_pack(buffer, &FQN, 1);
      
      hpcxx_pack(buffer, &p->level, 1);
      p++;
    }
}

void
hpcxx_unpack(HPCxx_Buffer& buffer, BasicInfoParms *p, int count) {
   for (int i = 0; i < count; i++) {

     //NexusRMI packs byte 20 to indicate that it is an object
    hpcxx_byte k20(20);
    hpcxx_unpack(buffer, &k20,1);
    //NexusRMI packs the fully qualified class name of the object
    HPCxx_String FQN("idl.basicInfoParms.BasicInfoParms");
    hpcxx_unpack(buffer, &FQN, 1);   
    
    hpcxx_unpack(buffer, &p->level, 1);
    p++;
    }
}
