#ifndef BASICINFOPARMS_H
#define BASICINFOPARMS_H

// Control parameters for BasicInfo

#include <iomanip.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include <ctype.h>

#ifdef REMOVE_
#define getparms_ getparms
#endif

// ------------------
// Fortran functions:
// ------------------
extern "C" {
  void getparms_( int* level);
}

class HPCxx_Buffer;

class BasicInfoParms {

	friend void hpcxx_pack(HPCxx_Buffer& b, BasicInfoParms *sp, int count);
	friend void hpcxx_unpack(HPCxx_Buffer& b, BasicInfoParms *sp, int count);

 public:
  int level; //  level = 1 means write out all info to stdout
             //  level = 0 means create an HTML page.
 public:
  BasicInfoParms();
  BasicInfoParms(int level_);
  ~BasicInfoParms();

};

BasicInfoParms getParameters();



#endif
