SubDirs =
Target = common.a
Type = lib

Hdrs = \
	Geometry.h \
	GetSparseSystem.h \
	MatrixDataStructures.h \
	Mungings.h \
	PutSparseSystem.h \
	SolutionVector.h \
	SparseLinearSystem.h \
	TimeStep.h \
	mmio.h

Srcs = \
	Geometry.C \
	GetSparseSystem.C \
	Mungings.C \
	PutSparseSystem.C \
	ReadSparseMatrix.C \
	SolutionVector.C \
	SparseLinearSystem.C \
	TimeStep.C \
	apmbt.f \
	coicsr.f \
	csrcsc.f \
	csrcoo.f \
	mmio.C \
	prtmt.f \
	readmt.f \
	ssrcsr.f \
	dperm.f

both:

CPPFLAGS_MOD_IND = -I.


GetSparseSystem.o: GetSparseSystem.C GetSparseSystem.h
Mungings.o: Mungings.h Mungings.C
PutSparseSystem.o: PutSparseSystem.h PutSparseSystem.C
ReadSparseMatrix.o: ReadSparseMatrix.C
SparseLinearSystem.o: SparseLinearSystem.h SparseLinearSystem.C
mmio.o: mmio.h mmio.C
prtmt.o: prtmt.f
readmt.o: readmt.f
ssrcsr.o: ssrcsr.f
dperm.o: dperm.f
