/*
//  
//  
//  Randall Bramley
//  Department of Computer Science
//  Indiana University, Bloomington
//  bramley@cs.indiana.edu                             
//  Fri Nov 12 10:08:25 EST 1999
//  ---------------------------------------------------------------------
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <unistd.h>
#include <errno.h>
#include <iostream.h>
#include <assert.h>
#include <mmio.h>
#include <PutGeometry.h>
#include <Geometry.h>

int PutGeometry(Geometry* geom){

  FILE *geomfile;
  int k = 0;
  int ErrorCode = 0;

  if ((geomfile=fopen("geometry.m","w")) == NULL) {
    ErrorCode = 1;   
    return ErrorCode;
  }
  fprintf(geomfile, "M = %d;  N = %d;\n x=[...\n",
          geom->M, geom->N);
  for (k = 0; k < geom->M+1; k++)
  	fprintf(geomfile, "%e\n", geom->x[k]);
  fprintf(geomfile, "];\n y=[...\n");
  for (k = 0; k < geom->N+1; k++)
  	fprintf(geomfile, "%e\n", geom->y[k]);
  fprintf(geomfile, "];\n B=[...\n");
  for (k = 0; k < geom->M+1; k++)
  	fprintf(geomfile, "%e\n", geom->bottom[k]);
  fprintf(geomfile, "];\n T=[...\n");
  for (k = 0; k < geom->M+1; k++)
  	fprintf(geomfile, "%e\n", geom->top[k]);
  fprintf(geomfile, "];\n L=[...\n");
  for (k = 0; k < geom->N-1; k++)
  	fprintf(geomfile, "%e\n", geom->left[k]);
  fprintf(geomfile, "];\n R=[...\n");
  for (k = 0; k < geom->N-1; k++)
  	fprintf(geomfile, "%e\n", geom->right[k]);
  fprintf(geomfile, "];\n");

  return 0;

}
