SubDirs =

Target = discretizer
Type = cxx-exe

Hdrs = \
	BC.h \
	Discretizer.h \
	DiscretizerParms_impl.h \
	KeepOnTruckin.h \
	PutGeometry.h \
	TimeStep_impl.h \
	DiscretizerComponent.h \
	DiscretizerComponentHome.h

Srcs = \
	BC.C \
	Discretizer.C \
	DiscretizerParms_impl.C \
	DiscretizerServer.C \
	KeepOnTruckin.C \
	PutGeometry.C \
	TimeStep_impl.C \
	DiscretizerComponent.C \
	DiscretizerComponentHome.C \
	coeff.C \
	getparms.f \
	getsten.C \
	qs2i1d.f \
	rowinc.f \
	setup.C

# XXX Go over these once componentized. 
Mods = \
    ../../../system/event-channel/eventChannel.a \
    ../../../../framework/idl/eventChannel/libidleventChannel.a \
    ../../../../framework/idl/eventPort/libidleventPort.a \
    ../../../../framework/idl/timeStep/libidltimeStep.a \
    ../../../../framework/idl/geometry/libidlgeometry.a \
    ../../../../framework/idl/discretizerParms/libidlDiscretizerParms.a \
    ../../../../framework/idl/sparseLinearSystem/libidlsparseLinearSystem.a \
	../Common/common.a \
    ../../../../framework/ccacore/libccacore.a \
    ../../../../framework/connection/libconnection.a \
    ../../../../framework/creation/libcreation.a \
    ../../../../framework/util/libutil.a

Libs = \
    -lhpcxx_rts \
    -lglobus_toolkit \
    -lglobus_duroc_bootstrap \
    -lglobus_duroc_runtime \
    -lglobus_gram_client \
    -lglobus_gram_myjob \
    -lglobus_nexus \
    -lglobus_io \
    -lglobus_duct_runtime \
    -lglobus_gss_assist \
    -lglobus_gss \
    -lglobus_gaa \
    -lglobus_dc \
    -lglobus_common \
    -lldap \
    -llber \
    -lssl \
    -lcrypto


CPPFLAGS_MOD_IND = -I. -I../Common

both:

clean::
	rm -f driver matrix.out
