#include <GSFFParms.h>
#include <iostream.h>

// Control parameters for GetSparseSystem 
// Returns the name of the file from which
// to get the sparse matrix.

GSFFParms::GSFFParms() {
  HBFileName = new char[7];
  (void) strcpy(HBFileName,"matrix");
}
GSFFParms::GSFFParms(char *FN) {
  int k = 1 + (int) strlen(FN);
  HBFileName = new char[k];
  (void) strcpy(HBFileName,FN);
}

GSFFParms::~GSFFParms(){
  delete[] HBFileName;
}

// Return a control parameter object to driver
GSFFParms getParameters(char *FN){
        GSFFParms* p = new GSFFParms(FN);
	return *p;
}
