/*
//  -------------------------------------------------------
//  Fake port code.  This writes out the solution
//  vector to a file, and the key thing is to note
//  the unmunging operation needed before doing so.
//  When the solution vector is drawn out from a
//  SparseLinearSystem, should always unmunge first.
//  
//  Randall Bramley
//  Department of Computer Science
//  Indiana University, Bloomington
//  bramley@cs.indiana.edu                             
//  Mon Nov  1 14:47:19 EST 1999
//  -------------------------------------------------------
*/
#ifndef PUTSOLUTIONVECTOR_H
#define PUTSOLUTIONVECTOR_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <strings.h>
#include <unistd.h>
#include <iostream.h>
#include <PutSolutionVector.h>
#include <SparseLinearSystem.h>


int PutSolutionVector(SparseLinearSystem* sls);
#endif
