#ifndef CCAT_SPLIB_PARAM_H
#define CCAT_SPLIB_PARAM_H


#include "../../../../framework/idl/splibParms/ProvidesSplibParms.h"

class SplibComponent;
class SplibParms;

class SplibParms_impl : public ProvidesSplibParms {

    public:

        SplibParms_impl(SplibComponent *sc);
        virtual ~SplibParms_impl();

        virtual int sendSplibParms(SplibParms *);
        virtual int start();
        virtual int stop();
        virtual int kill();
	virtual char* getOutputURL();

    private:

        SplibComponent *const m_component;
	pthread_attr_t m_threadAttr;
	static void* killInANewThread(void *);
	static const int maxDirectoryNameLength;
	char* m_directoryName;
};


#endif
