/*  
//
//  Test driver for SPLIB.  Algorithm is:
//  
//  k = 0;
//  while (keep_going(k))
//	GetSparseSystem;
//	GetSplibParms;
//	call Splib()
//	k = k + 1;
//      PutSolutionVector;
//	FreeStorage;
//  end while
//
//  In practice, this version won't work except for
//  a single iteration because instead of port code,
//  GetSparseSystem reads in a HB matrix file.  That
//  file must be rewound for this to go more than once.
//
//  Randall Bramley
//  Department of Computer Science
//  Indiana University, Bloomington
//  bramley@cs.indiana.edu                             
//  Sun Oct 31 15:27:30 EST 1999
//  --------------------------------------------------------------------------------
*/

//  This main driver will not be used for the CCAT stuff
//  We will use the main in SplibServer instead.
//  The execution logic shown in this main has been 
//  moved to SplibParms_impl.C and SparseLinearSystem_impl.C
//  -Ken and Madhu

// #include <stdio.h>
// #include <stdlib.h>
// #include <string.h>
// #include <strings.h>
// #include <unistd.h>
// #include <errno.h>
// #include <iostream.h>
// #include <assert.h>
// #include "../Common/mmio.h"
// #include "../Common/SparseLinearSystem.h"
// #include "../Common/GetSparseSystem.h"
// #include <PutSparseSystem.h>
// #include <PutSolutionVector.h>
// #include <FreeStorage.h>
// #include <KeepOnTruckin.h>
// #include <SplibParms.h>
// #include <Splib.h>

// int main(int argc, char *argv[]) {

//   int ErrorCode;
//   int k = 0;  // Number of times through


//   while (KeepOnTruckin(k)) {

//       SplibParms p = getParameters();

//       SparseLinearSystem *sls;

//       // --------------------------------------------------
//       // Replace the following with a provides port access.
//       // Now it just calls readmt_(), a Fortran H/B reader.
//       // --------------------------------------------------

//       sls = GetSparseSystem();

//       // --------------------------------------
//       // Call splib to solve the damned system.
//       // --------------------------------------

//       ErrorCode = Splib(p, sls);
//       cout << "ErrorCode from Splib is: " << ErrorCode << endl;

//       // --------------------------------------------------
//       // Now call PutSolutionVector to demunge and output x
//       // --------------------------------------------------

//       int errflag = PutSolutionVector(sls);

//       FreeStorage(sls);

//       k++;

//   }

//   return 0;
// }






