SubDirs =

Target = superLU
Type = cxx-exe


Hdrs = \
	Cnames.h \
	KeepOnTruckin.h \
	PutSolutionVector.h \
	SuperLU.h \
	SuperLUComponentHome.h \
	SuperLUComponent.h  \
	SparseLinearSystem_impl.h \
	SuperLUParms.h \
	SuperLUParms_impl.h \
	dsp_defs.h \
	supermatrix.h \
	util.h

Srcs = \
	KeepOnTruckin.C \
	PutSolutionVector.C \
	SuperLU.C \
	SuperLUComponent.C \
	SuperLUComponentHome.C \
	SparseLinearSystem_impl.C \
	SuperLUParms.C \
	SuperLUParms_impl.C \
	SuperLUServer.C \
	dcolumn_bmod.c \
	dcolumn_dfs.c \
	dcopy_to_ucol.c \
	dgscon.c \
	dgsequ.c \
	dgsrfs.c \
	dgssv.c \
	dgssvx.c \
	dgstrf.c \
	dgstrs.c \
	dlacon.c \
	dlamch.c \
	dlangs.c \
	dlaqgs.c \
	dmemory.c \
	dmyblas2.c \
	dpanel_bmod.c \
	dpanel_dfs.c \
	dpivotL.c \
	dpivotgrowth.c \
	dpruneL.c \
	dreadmt.c \
	dsnode_bmod.c \
	dsnode_dfs.c \
	dsolve.c \
	dsp_blas2.c \
	dsp_blas3.c \
	dutil.c \
	getparms.f \
	lsame.c \
	main.C \
	memory.c \
	relax_snode.c \
	sp_coletree.c \
	sp_ienv.c \
	sp_preorder.c \
	timer.c \
	util.c \
	xerbla.f


Mods = \
    ../../../system/event-channel/eventChannel.a \
    ../../../../framework/idl/eventChannel/libidleventChannel.a \
    ../../../../framework/idl/eventPort/libidleventPort.a \
    ../../../../framework/idl/solutionVector/libidlsolutionVector.a \
    ../../../../framework/idl/superLUParms/libidlsuperLUParms.a \
    ../../../../framework/idl/sparseLinearSystem/libidlsparseLinearSystem.a \
    ../Common/common.a \
    ../../../../framework/ccacore/libccacore.a \
    ../../../../framework/connection/libconnection.a \
    ../../../../framework/creation/libcreation.a \
    ../../../../framework/util/libutil.a

Libs = \
    -lhpcxx_rts \
    -lglobus_toolkit \
    -lglobus_duroc_bootstrap \
    -lglobus_duroc_runtime \
    -lglobus_gram_client \
    -lglobus_gram_myjob \
    -lglobus_nexus \
    -lglobus_io \
    -lglobus_duct_runtime \
    -lglobus_gss_assist \
    -lglobus_gss \
    -lglobus_gaa \
    -lglobus_dc \
    -lglobus_common \
    -lldap \
    -llber \
    -lssl \
    -lcrypto


CPPFLAGS_MOD_IND = -I. -I../Common

both:

clean::
	rm -f driver solution info.html

main.o: main.C SuperLU.h
PutSolutionVector.o: PutSolutionVector.C
SuperLUParms.o: SuperLUParms.C
KeepOnTruckin.o: KeepOnTruckin.C
SuperLU.o: SuperLU.C
getparms.o: getparms.f

xerbla.o: xerbla.f
dcolumn_bmod.o: dcolumn_bmod.c
dcolumn_dfs.o:  dcolumn_dfs.c
dcopy_to_ucol.o: dcopy_to_ucol.c
dgscon.o:   dgscon.c
dgsequ.o: dgsequ.c
dgsrfs.o:   dgsrfs.c
dgssv.o:    dgssv.c
dgssvx.o:   dgssvx.c
dgstrf.o:   dgstrf.c
dgstrs.o:   dgstrs.c
dlacon.o:   dlacon.c
dlamch.o:   dlamch.c
dlangs.o:   dlangs.c
dlaqgs.o:   dlaqgs.c
dmemory.o:  dmemory.c
dmyblas2.o: dmyblas2.c
dpanel_bmod.o:  dpanel_bmod.c
dpanel_dfs.o:   dpanel_dfs.c
dpivotL.o:  dpivotL.c
dpivotgrowth.o: dpivotgrowth.c
dpruneL.o:  dpruneL.c
dreadmt.o:  dreadmt.c
dsnode_bmod.o:  dsnode_bmod.c
dsnode_dfs.o:   dsnode_dfs.c
dsolve.o:   dsolve.c
dsp_blas2.o:    dsp_blas2.c
dsp_blas3.o:    dsp_blas3.c
dutil.o:    dutil.c
lsame.o:    lsame.c
memory.o:   memory.c
relax_snode.o:  relax_snode.c
sp_coletree.o:  sp_coletree.c
sp_ienv.o:  sp_ienv.c
sp_preorder.o:  sp_preorder.c
timer.o:    timer.c
util.o:     util.c
