#ifndef TIME_GEN_PARMS_H
#define TIME_GEN_PARMS_H

// Control parameters for TimeGen

#include <hpcxx_rts.h>
class TimeGenParms {
 public:
     double initialTime;
     double timeIncr;
     int m;
     int n;

 public:
  TimeGenParms();
  TimeGenParms(double initialTime_,
	double timeIncr_,
        int m_,
        int n_);
  ~TimeGenParms();
  friend void hpcxx_pack(HPCxx_Buffer& b, TimeGenParms *tgp, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, TimeGenParms *tgp, int count);
};

#endif
