#include <iostream>
#include <string>

// This file represents the the composition engine.
// The composition engine is a cca compliant component
// that uses the creation service to instantiate two
// components and then uses the connecton service to
// connect them. For now a new method "run" has been
// introduced in the ComponenID interface to facilitate
// in the testing process. 
// --Madhu


#include "../../framework/ccacore/CCATServicesProxy.h"
#include "../../framework/creation/CreationService.h"
#include "../../framework/connection/ConnectionService.h"
#include "../../framework/ccacore/ComponentID.h"
#include "../../framework/ccacore/Port.h"

#include "../../framework/ccacore/RegisterType.h"
#include "../../framework/ccacore/FRAMEWORK_REGISTRATION_ID.h"
#include "../../framework/creation/ComponentFactory.h"

#include "../system/event-channel/EventChannelComponent.h"
#include "../system/event-channel/EventChannelComponentHome.h"
#include "../../framework/idl/eventPort/ProvidesEventPortSkel.h"
#include "../../framework/idl/eventChannel/ProvidesFilteringEventChannelSkel.h" 

#include <stdio.h>

#ifdef sgi
extern "C" char *strdup(const char *);
#endif


void initialize() {
  // very important that this static method
  // is called so that all remote methods
  // can be registered.
  CCATServicesSkel::registerAll();
}

static HPCxx_Group *group;
int main(int argc, char **argv) {
  void TestLSA6(int s, char *a[]);

  // Every HPC++ context (not created by hpcxx_createContext) calls this
  // function to initialize. Must be called only once in a context.
  hpcxx_init(argc, argv, group);

  // A global method
  // All component specific initialization
  initialize();

  TestLSA6(atoi(argv[2]), argv + 3);

}
