// -*-c++-*-
#ifndef EVENTCHANNELCOMPONENT_H
#define EVENTCHANNELCOMPONENT_H

/*
#include "FilteringEventChannel_impl.h"
#include "EventQueueManager.h"
#include "EventPort_impl.h"

#include "../../../framework/ccacore/Port.h"
#include "../../../framework/ccacore/CCATServicesProxy.h"
#include "../../../framework/ccacore/RegisterType.h"
#include "../../../framework/ccacore/FRAMEWORK_REGISTRATION_ID.h"
*/

#include "../../../framework/ccacore/Component.h"

class Services;
class ConnectionService;
class EventQueueManager;
class FilteringEventChannel_impl;
class EventPort_impl;


class EventChannelComponent : public Component {
	public:
		EventChannelComponent();
		~EventChannelComponent();
		void setServices(Services *cc);
	private:
		Services *m_core;
		ConnectionService *m_connectionService;
		EventQueueManager *m_eventQueueManager;
		FilteringEventChannel_impl *m_filteringEventChannel;
		EventPort_impl *m_eventPort;
};

#endif // EVENTCHANNELCOMPONENT_H
