#ifndef CCAT_KEC_EVENT_WRAPPER_H
#define CCAT_KEC_EVENT_WRAPPER_H



#include <string>
#include "PtrObject.h"
#include "../../../framework/idl/eventPort/Event.h"




/*----------------------------------------------------------------------------\
|                                                                             |
|                                                                             |
|  EventWrapper                                                               |
|                                                                             |
|                                                                             |
\----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
|  Forwards                                                                   |
-----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
|  Inline Helper Functions                                                    |
-----------------------------------------------------------------------------*/

class EventWrapper : public PtrObject {

    /*--------------------------------------------------------------------------
     *  Access Specifiers
     */

    /*--------------------------------------------------------------------------
     *  Forwards
     */

    /*--------------------------------------------------------------------------
     *  Types-Constants
     */

    /*--------------------------------------------------------------------------
     *  Friends
     */

    /*--------------------------------------------------------------------------
     *  Constructors-Initters-Assignment-Conversions-Destructors
     */

	public:

		EventWrapper(Event *ev);
		~EventWrapper();
    
    /*--------------------------------------------------------------------------
     *  Access Operators-Methods
     */

    /*--------------------------------------------------------------------------
     *  Operators
     */

    /*--------------------------------------------------------------------------
     *  Methods
     */

	public:

		//std::string id() const { return m_ccaevent.id(); }
		std::string type() const { return m_ccaevent.getType(); }

    /*--------------------------------------------------------------------------
     *  Data
     */

	public:

		Event m_ccaevent;

    /*--------------------------------------------------------------------------
     *  Static Methods
     */

    /*--------------------------------------------------------------------------
     *  Static Data
     */
};



#endif
