// -*-c++-*-
// DefaultPortInfo.h: Part of the CCA specs
// --Madhu

#ifndef _DEFAULT_PORT_INFO_H__
#define _DEFAULT_PORT_INFO_H__

#include "PortInfo.h"
#include "STL.h"
#include <hpcxx_rts.h>
class DefaultPortInfo : public PortInfo {
public:
  DefaultPortInfo(){}
  virtual ~DefaultPortInfo();
  DefaultPortInfo(const myString portname_, const myString porttype_);
  DefaultPortInfo(const DefaultPortInfo &p);
  const myString getType() const;
  const myString getName() const;
  void setType(const myString type);
  void setName(const myString name);
  friend void hpcxx_pack(HPCxx_Buffer& b, DefaultPortInfo* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, DefaultPortInfo* p, int count);
};

#endif // _DEFAULT_PORT_INFO_H__
