// -*-c++-*-

// PortFactoryUses.h: It creates
// PortSkelUses wrappers around registered 
// uses port implementation for the registered
// tyes.
// --Madhu


#ifndef _PORT_FACTORY_USES_H__
#define _PORT_FACTORY_USES_H__

#include "Port.h"
#include "PortSkelUses.h"
#include "STL.h"
#include "PortFactoryUsesBase.h"

template < class Tskel >
class PortFactoryUses: public PortFactoryUsesBase{
public:

  // with this constructor call, each
  // templated instance of the uses port 
  // skel has a specific typeName in string fromat
  // associated with it:
  // called by registerUsesPortType(...)
  PortFactoryUses(myString _typeName): PortFactoryUsesBase(_typeName) {}
  
  PortSkelUses* getPortSkelUses(myString _typeName) {
    if (_typeName == typeName) {
//      std:: cout << "PortFactoryUses::getPortSkelUses:: " << _typeName << " found! " << endl << endl;
//       cout.flush();
      PortSkelUses *sk = new Tskel();
      return sk;
    } else {
      return NULL;
    }
  }
  
};

#endif // _PORT_FACTORY_USES_H__

