// -*-c++-*-

// This is a helper class used by
// CCATServicesSkel to return
// PortInfo** when getProvidesPorts()
// or getUsesPorts() is called.
// --Madhu

#ifndef _PORT_INFO_ARRAY_H__
#define _PORT_INFO_ARRAY_H__

// array of info objects to be returned
// to the user when she invokes 
// getProvidesPorts() or
// getUsesPorts()

#include "PortInfo.h"
#include <hpcxx_rts.h>
#include <hpcxx.h>

class PortInfoArray{
  PortInfo *info;
  int len;
public:
  PortInfoArray(){info = NULL; len = 0; }
  PortInfoArray(PortInfo **a, int len);
  PortInfo** getArray();
  int getLength();
  friend void hpcxx_pack(HPCxx_Buffer& b, PortInfoArray* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, PortInfoArray* p, int count);
};


#endif // _PORT_INFO_ARRAY_H__
