// -*-c++-*-
#ifndef _PORT_RECORD_H__
#define _PORT_RECORD_H__

// The framework needs to maintain
// a list of the uses and provides port
// per component (per services object)
// The framework maintains a vector of uses
// and provides ports to return to remotely
// called methods by the componentID. 
// each element of this vector is of 
// type PortRecord that encapsulates
// the pointer to the proxy port object
// and the portInfo object
// --Madhu

class PortRecord {
  PortInfo *theInfo;
  Port *thePort;
public:
  PortRecord(Port *thePort_, PortInfo *theInfo_){
    theInfo = theInfo_;
    thePort = thePort_;
  }
  PortRecord(){
    theInfo = new DefaultPortInfo("","");
    thePort = NULL;
  }
  PortRecord(const PortRecord &r){
    theInfo = r.theInfo;
    thePort = r.thePort;
  }
  PortInfo* getInfo() const{ return theInfo; }
  Port* getPort() const { return thePort; }
};

#endif // _PORT_RECORD_H_
