// -*-c++-*-

// CreationService.h: part of our ccat specs
// --Madhu
#ifndef _CREATION_SERVICE_H__
#define _CREATION_SERVICE_H__

#include "../ccacore/ComponentID.h"
#include "../ccacore/Port.h"
#include "../util/EnvObj.h"
#include "../exceptions/InstantiateException.h"

class CreationService : public Port{
public:
  // This is what it is supposed to be 
  //  virtual ComponentID* createInstance(char* url, EnvObj* env) throw (InstantiateException) = 0; 
  
  // For the alpha test version, I use this api
  //  virtual ComponentID* createInstance(char* execHost, char *execPath) throw (InstantiateException) = 0;
  virtual ComponentID* createInstance(char* url, EnvObj* env) 
    throw (InstantiateException) = 0;
  virtual void deleteInstance(ComponentID* id) throw (InstantiateException) = 0;
};

#endif // _CREATION_SERVICE_H__
