#include "ProvidesAssembleParmsSkel.h"
#include <hpcxx.h>
#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "ProvidesAssembleParms.h"



bool ProvidesAssembleParmsSkel::registerFlag = false;

ProvidesAssembleParmsSkel::ProvidesAssembleParmsSkel(Port *executingPort)
 : PortSkel(executingPort) {}

int
ProvidesAssembleParmsSkel :: sendAssembleParms() {
const char *xfn = "ProvidesAssembleParmsSkel :: sendAssembleParms";

    cout << xfn << " called." << endl << flush;

    ProvidesAssembleParms *port = dynamic_cast<ProvidesAssembleParms *>(portPointer); 

    int result = port->sendAssembleParms();
    return result;
}

int
ProvidesAssembleParmsSkel::start() {
const char *xfn = "ProvidesAssembleParmsSkel::start";

    cout << xfn << " called." << endl << flush;

    ProvidesAssembleParms *port = dynamic_cast<ProvidesAssembleParms *>(portPointer); 

    return port->start();
}

int
ProvidesAssembleParmsSkel::stop() {
const char *xfn = "ProvidesAssembleParmsSkel::stop";

    cout << xfn << " called." << endl << flush;

    ProvidesAssembleParms *port = dynamic_cast<ProvidesAssembleParms *>(portPointer); 

    return port->stop();
}

int
ProvidesAssembleParmsSkel::kill() {
const char *xfn = "ProvidesAssembleParmsSkel::kill";

    cout << xfn << " called." << endl << flush;

    ProvidesAssembleParms *port = dynamic_cast<ProvidesAssembleParms *>(portPointer); 

    return port->kill();
}

HPCxx_String
ProvidesAssembleParmsSkel::getOutputURL() {
const char *xfn = "ProvidesAssembleParmsSkel::getOutputURL";

    cout << xfn << " called." << endl << flush;

    ProvidesAssembleParms *port = dynamic_cast<ProvidesAssembleParms *>(portPointer); 

    char *returnVal = port->getOutputURL();
    char *returnValue = new char[strlen(returnVal)+1];
    strcpy(returnValue,returnVal);
    HPCxx_String *urlValue = new HPCxx_String(returnValue);
    return *urlValue;
}

void ProvidesAssembleParmsSkel::registerSelf () {

    if (!registerFlag) {

        registerFlag = true;

        hpcxx_registerClass((ProvidesAssembleParmsSkel *)NULL);
        hpcxx_register(&ProvidesAssembleParmsSkel::sendAssembleParms,
         SEND_ASSEMBLE_PARMS_ID);
        hpcxx_register(&ProvidesAssembleParmsSkel::start, ASSEMBLE_PARMS_START_ID);
        hpcxx_register(&ProvidesAssembleParmsSkel::stop, ASSEMBLE_PARMS_STOP_ID);
        hpcxx_register(&ProvidesAssembleParmsSkel::kill, ASSEMBLE_PARMS_KILL_ID);
        hpcxx_register(&ProvidesAssembleParmsSkel::getOutputURL, ASSEMBLE_PARMS_GETOUTPUTURL_ID);
        registerProvidesPortType("AssembleParms_idl",
         *(new ProvidesAssembleParmsSkel(NULL)));    
    }
}


// these methods will not be called
// we never move skels around.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesAssembleParmsSkel* p, int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesAssembleParmsSkel* p, int count) {
    assert(0);
}
