// -*-c++-*-

#ifndef _USES_ASSEMBLE_PARMS_SKEL_H__
#define _USES_ASSEMBLE_PARMS_SKEL_H__



#include "UsesAssembleParms.h"



class HPCxx_Buffer;



class UsesAssembleParmsSkel: public UsesAssembleParms {

    friend void hpcxx_pack(HPCxx_Buffer& b, UsesAssembleParmsSkel* p, int count);
    friend void hpcxx_unpack(HPCxx_Buffer& b, UsesAssembleParmsSkel* p, int count);

    public:

        UsesAssembleParmsSkel(): UsesAssembleParms() {}
        UsesAssembleParmsSkel(Port *): UsesAssembleParms() {}

        // these are local method invocations
        int sendAssembleParms();
        int start();
        int stop();
        int kill();
        char* getOutputURL();

        // port registration
        static void registerSelf();

    private:

        static bool registerFlag;  
};



#endif // _USES_ASSEMBLE_PARMS_SKEL_H__
