// -*-c++-*-

#ifndef _USES_DISCRETIZER_PARMS_SKEL_H__
#define _USES_DISCRETIZER_PARMS_SKEL_H__



#include "UsesDiscretizerParms.h"



class HPCxx_Buffer;

class UsesDiscretizerParmsSkel: public UsesDiscretizerParms {

    friend void hpcxx_pack(HPCxx_Buffer& b, UsesDiscretizerParmsSkel* p, int count);
    friend void hpcxx_unpack(HPCxx_Buffer& b, UsesDiscretizerParmsSkel* p, int count);

    public:

        UsesDiscretizerParmsSkel(): UsesDiscretizerParms() {}
        UsesDiscretizerParmsSkel(Port *): UsesDiscretizerParms() {}

        // these are local method invocations
        int sendDiscretizerParms();
        int start();
        int stop();
        int kill();
        char* getOutputURL();

        // port registration
        static void registerSelf();

    private:

        static bool registerFlag;  
};



#endif // _USES_DISCRETIZER_PARMS_SKEL_H__
