// -*-c++-*-

#ifndef _EVENT_H__
#define _EVENT_H__

#include "../../ccacore/STL.h"
#include <hpcxx_rts.h>
#include <iostream>

class Event {
private:
  myString source;
  myString type;
  myString key;
  long seqNum;
  myString details;

public:
  Event();
  Event(myString source, myString type, myString key, long seqNum, myString details);
  Event(Event &ev);

  myString getSource() const;
  void setSource(myString _source);

  myString getType() const;
  void setType(myString _type);

  myString getKey() const;
  void setKey(myString _key);

  long getSequenceNum() const;
  void setSequenceNum(long _seqNum);

  myString getDetails() const;
  void setDetails(myString _details);

  friend std::ostream& operator<<(std::ostream &out, Event &ev);

  friend void hpcxx_pack(HPCxx_Buffer& b, Event* e, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, Event* e, int count);
};

#endif // _EVENT_H__


