#include "ProvidesPutSolutionToFileParmsSkel.h"
#include <hpcxx.h>
#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "ProvidesPutSolutionToFileParms.h"



bool ProvidesPutSolutionToFileParmsSkel::registerFlag = false;

ProvidesPutSolutionToFileParmsSkel::ProvidesPutSolutionToFileParmsSkel(
 Port *executingPort) : PortSkel(executingPort) {}

int
ProvidesPutSolutionToFileParmsSkel::sendPutSolutionToFileParms(
 PutSolutionToFileParms bip) {
const char *xfn = "ProvidesPutSolutionToFileParmsSkel"
 "::sendPutSolutionToFileParms";

	cout << xfn << " called." << endl;

    ProvidesPutSolutionToFileParms *port
     = dynamic_cast<ProvidesPutSolutionToFileParms *>(portPointer); 

    int result = port->sendPutSolutionToFileParms(
	 new PutSolutionToFileParms(bip));

    return result;
}

void
ProvidesPutSolutionToFileParmsSkel::registerSelf() {

  if (!registerFlag) {

    registerFlag = true;

    hpcxx_registerClass((ProvidesPutSolutionToFileParmsSkel *) NULL);
    hpcxx_register(
	 &ProvidesPutSolutionToFileParmsSkel::sendPutSolutionToFileParms,
     SEND_PUT_SOLUTION_TO_FILE_PARMS_ID);
    registerProvidesPortType("PutSolutionToFileParms_idl",
     *(new ProvidesPutSolutionToFileParmsSkel(NULL)));    
  }
}

// these methods will not be called
// we never move skels around.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesPutSolutionToFileParmsSkel* p,
 int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesPutSolutionToFileParmsSkel* p,
 int count) {
    assert(0);
}

#ifdef ORIG
// register all the port types and their member functions.
void registerPutSolutionToFileParmsPorts(){
  hpcxx_registerClass((ProvidesPutSolutionToFileParmsSkel *)NULL);
  hpcxx_register(&ProvidesPutSolutionToFileParmsSkel::registerListener, SEND_PUT_SOLUTION_TO_FILE_PARMS_ID);
}
#endif
