#include "ProvidesRunItAgainSkel.h"
#include <hpcxx.h>
#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"

bool ProvidesRunItAgainSkel::registerFlag = false;

ProvidesRunItAgainSkel::ProvidesRunItAgainSkel(Port *executingPort): PortSkel(executingPort) {}

int ProvidesRunItAgainSkel :: sendRunItAgain() {
  cout << "ProvidesRunItAgainSkel::sendRunItAgain called !!  " << endl;
  cout.flush();
  ProvidesRunItAgain *port = dynamic_cast<ProvidesRunItAgain *>(portPointer); 
  int result = port->sendRunItAgain();
  return result;
}


void ProvidesRunItAgainSkel :: registerSelf () {
  if (!registerFlag) {
    registerFlag = true;
    hpcxx_registerClass((ProvidesRunItAgainSkel *)NULL);
    hpcxx_register(&ProvidesRunItAgainSkel::sendRunItAgain, SEND_RUN_IT_AGAIN_ID);
    registerProvidesPortType("RunItAgain_idl",
					    *(new ProvidesRunItAgainSkel(NULL)));    
  }
}

// these methods will not be called
// we never move skels around.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesRunItAgainSkel* p, int count){}
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesRunItAgainSkel* p, int count){}
