#include "UsesRunItAgainSkel.h"
#include <hpcxx.h>

#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"

bool UsesRunItAgainSkel::registerFlag = false;

int UsesRunItAgainSkel :: sendRunItAgain() {

  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      cout << "UsesRunItAgainSkel::call sendRunItAgain "  << endl;
      cout.flush();
      hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, SEND_RUN_IT_AGAIN_ID);
    } else {
      cout << "UsesRunItAgainSkel::registerListener::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}

void UsesRunItAgainSkel::registerSelf () {
  if (!registerFlag) {
    registerFlag = true;
    registerUsesPortType("RunItAgain_idl", 
					*(new UsesRunItAgainSkel()));
  }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesRunItAgainSkel* p, int count) {}
void hpcxx_unpack(HPCxx_Buffer& b, UsesRunItAgainSkel* p, int count){}


