#include "UsesScaleParmsSkel.h"
#include <hpcxx.h>



#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "../../../components/application/lsa/Scale/ScaleParms.h"



bool UsesScaleParmsSkel::registerFlag = false;

int UsesScaleParmsSkel::sendScaleParms(ScaleParms *sls) {

    for (vector<Port*>::iterator iter = providerList.begin();
     iter != providerList.end(); iter++) {

        Port *pidl = *iter;
        int dummy;

        if ((*pidl).skp) {

            cout << "UsesScaleParmsSkel::call sendScaleParms " << endl;

            hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy,
             SEND_SCALE_PARMS_ID, *sls);

        } else {

            cout << "UsesScaleParmsSkel::registerListener::Unbound"
             " ProvidesPort Proxy !! \n" << endl;
            assert(0);
        }
    }

    return 0;
}

void UsesScaleParmsSkel::registerSelf () {
    if (!registerFlag) {
        registerFlag = true;
        registerUsesPortType("ScaleParms_idl", 
         *(new UsesScaleParmsSkel()));
    }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesScaleParmsSkel* p, int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, UsesScaleParmsSkel* p, int count){
    assert(0);
}

