// -*-c++-*-

#ifndef _USES_SOLUTION_VECTOR_SKEL_H__
#define _USES_SOLUTION_VECTOR_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesSolutionVector.h"
#include "UsesSolutionVector.h"
#include "SolutionVector_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesSolutionVectorSkel: public UsesSolutionVector {
public:
  UsesSolutionVectorSkel(): UsesSolutionVector() {}
  UsesSolutionVectorSkel(Port *): UsesSolutionVector() {}
  
  // these are local method invocations
  void sendSolutionVector(SolutionVector *sls);
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesSolutionVectorSkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesSolutionVectorSkel* p, int count);

  // port registration
  static void registerSelf ();
  
private:
  static bool registerFlag;  
};

#endif // _USES_SOLUTION_VECTOR_SKEL_H__





