// -*-c++-*-

#ifndef _USES_SPLIB_PARMS_SKEL_H__
#define _USES_SPLIB_PARMS_SKEL_H__



#include "UsesSplibParms.h"



class HPCxx_Buffer;



class UsesSplibParmsSkel: public UsesSplibParms {

    friend void hpcxx_pack(HPCxx_Buffer& b, UsesSplibParmsSkel* p, int count);
    friend void hpcxx_unpack(HPCxx_Buffer& b, UsesSplibParmsSkel* p, int count);

    public:

        UsesSplibParmsSkel(): UsesSplibParms() {}
        UsesSplibParmsSkel(Port *): UsesSplibParms() {}

        // these are local method invocations
        int sendSplibParms(SplibParms *sls);
        int start();
        int stop();
        int kill();
        char* getOutputURL();

        // port registration
        static void registerSelf();

    private:

        static bool registerFlag;  
};



#endif // _USES_SPLIB_PARMS_SKEL_H__
