// -*-c++-*-
#ifndef _PROVIDES_SUPER_LU_PARMS_SKEL_H
#define _PROVIDES_SUPER_LU_PARMS_SKEL_H



#include "../../ccacore/PortSkel.h"
#include "../../../components/application/lsa/SuperLU/SuperLUParms.h"
#include "../PORTS_REGISTRATION_ID.h"



class Port;
class HPCxx_String;
//class ProvidesSuperLUParmsSkel;



// The provides port that calls the executing port
// to implement the method declared in the idl

class ProvidesSuperLUParmsSkel : public PortSkel {

public:

  ProvidesSuperLUParmsSkel(Port *executingPort);
  int sendSuperLUParms(SuperLUParms sls);
  int start();
  int stop();
  int kill();
  HPCxx_String getOutputURL();

public:

  // port registration
  static void registerSelf ();
  static int registrationID() { return PROVIDES_SUPER_LU_PARMS_SKEL_ID; }

private:

  static bool registerFlag;  
};



// These packs are never called because we don't move skels.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesSuperLUParmsSkel* p, int count);
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesSuperLUParmsSkel* p, int count);
void registerSuperLUParmsPorts();


#endif
