// -*-c++-*-
#ifndef _USES_SUPER_LU_PARMS_SKEL_H__
#define _USES_SUPER_LU_PARMS_SKEL_H__



#include "UsesSuperLUParms.h"



class Port;



class UsesSuperLUParmsSkel: public UsesSuperLUParms {

  friend void hpcxx_pack(HPCxx_Buffer& b, UsesSuperLUParmsSkel* p,
			 int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesSuperLUParmsSkel* p,
			   int count);

public:

  UsesSuperLUParmsSkel() : UsesSuperLUParms() {}
  UsesSuperLUParmsSkel(Port *) : UsesSuperLUParms() {}

  // these are local method invocations
  int sendSuperLUParms(SuperLUParms *sls);
  int start();
  int stop();
  int kill();
  char* getOutputURL();

public:

  // port registration
  static void registerSelf ();

private:

  static bool registerFlag;  
};



#endif
