// -*-c++-*-
#ifndef CCAT_TIME_STEP_PARMS_IDL_H__
#define CCAT_TIME_STEP_PARMS_IDL_H__

#include "../../../components/application/lsa/TimeGen/TimeGenParms.h"


#include "../InterfaceType.h"


class TimeStepParms_idl : public InterfaceType {

    public:

        virtual int sendTimeStepParms(TimeGenParms *bip)  = 0;
        virtual int start() = 0;
        virtual int stop() = 0;
        virtual int kill() = 0;
        virtual char* getOutputURL() = 0;
};



#endif
