#ifndef _MY_ARRAY_H__
#define _MY_ARRAY_H__

#include <HPCxx_Buffer.h>
#include <iostream.h>
#include <strstream.h>

class MyArray{
private:
  float *val;
  int len;

public:
  MyArray();
  MyArray(float *v, int l): val(v), len(l){}
  MyArray(const MyArray &source);
  MyArray& operator=(const MyArray &source);
  float & operator [](int i){ return val[i]; }
  int getLength(){return len;}
  ~MyArray();

  friend void hpcxx_pack(HPCxx_Buffer&, MyArray*, int);
  friend void hpcxx_unpack(HPCxx_Buffer&, MyArray*, int);
};
#endif // _MY_ARRAY_H__
