#ifndef CCAT_MACROS_H
#define CCAT_MACROS_H


#define DDECL(t, v, i)  t *v = dynamic_cast<t *>(i)

#define DELETE(p)   do { \
                        assert(p != NULL); \
                        delete p; \
                        p = NULL; \
                    } while (0)
                        



#endif
