import ccacore.*;
import connection.*;
import idl.*;

class FilteringEventChannelComponent {

	public FilteringEventChannelComponent() {

        EventQueueManager eqm = new EventQueueManager();
        FilteringEventChannel_impl ec = new FilteringEventChannel_impl(eqm);
        EventPort_impl ep = new EventPort_impl(eqm);
	}

	public void setServices(Services core_) {
		core = core_;
		filteringEventChannel.core = core_;
		eventQueueManager.core = core_;

		try {
			connectionService = (ConnectionService)
			 core.getPort("ConnectionService");
		} catch (exceptions.CCAException e) {
			System.err.println("Couldn't get ConnectionService.");
			System.exit(1);
		}
		filteringEventChannel.connectionService = connectionService;

		/* XXX
		core.addProvidesPort(filteringEventChannel, new DefaultPortInfo("register", "FilteringEventChannel_idl"));
		core.addProvidesPort(eventPort, new DefaultPortInfo("notify", "EventPort_idl"));
		*/
	}

	private EventQueueManager eventQueueManager;
	private FilteringEventChannel_impl filteringEventChannel;
	private EventPort_impl eventPort;
	private Services core;
	private ConnectionService connectionService;
}
