function componentHandle = copyInstance (instanceName)

% COPYINSTANCE copies a live instance from the registry.
%	copyInstance takes in an instance name and 
%	looks up the registry to find an instance bound
%	with that name. It returns a component handle
%	to the instance if it is found.
%	-- Last modified by Madhuri on 04 Feb, 2000. 


global COMPOSITION_TOOL

componentHandle = copyInstanceFromRegistry (getController (COMPOSITION_TOOL), instanceName)
