
//  The user or the compositionEngine
//  uses this interface to tie up componet
//  instances together.
//  --Madhu

 
package connection;

import exceptions.*;
import ccacore.*;

public interface ConnectionService extends Port {
  
  public void connect(ComponentID idUser, String usesportname, ComponentID idProv, 
				  String provportname) throws ConnectionException;
  public void disconnect(ComponentID idUser, String usesportname, ComponentID idProv, 
					String provportname, double timeout) throws DisconnectionException;
  public void exportAs(ComponentID idMe, ComponentID idSub, String portname, 
				   String newportname) throws ExportAsException;
  public void provideTo(ComponentID idSub, String usesPortName, Port providesPort) 
	 throws ProvideToException;

}
                
