package idl.basicInfoParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesBasicInfoParmsSkel extends UnicastRemoteObject 
    implements ProvidesBasicInfoParms {

    // data
    private ProvidesBasicInfoParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesBasicInfoParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws RemoteException {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesBasicInfoParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesBasicInfoParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendBasicInfoParms(BasicInfoParms bip) 
	   throws RemoteException {
	   return 0;
    }
    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }

    public String getOutputURL() 
	throws RemoteException {
	return "";
    }
}

