package idl.discretizerParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesDiscretizerParmsSkel extends UnicastRemoteObject 
    implements ProvidesDiscretizerParms {

    // data
    private ProvidesDiscretizerParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesDiscretizerParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
      
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesdiscretizerParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesDiscretizerParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendDiscretizerParms() 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }

    public String getOutputURL() 
	throws RemoteException {
	return "";
    }
}

