package idl.eventPort;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesEventPortSkel extends UnicastRemoteObject implements ProvidesEventPort {

  private ProvidesEventPort thePort;
  private boolean isProxy;
  public ProvidesEventPortSkel() throws RemoteException {
    super();
    isProxy = false;
  }
  
  public void setProxy(ProvidesPort _thePort) throws Exception {
    // initialize the implementing port reference
    System.out.println("\n ProvidesEventPortSkel::setProxy() called");
    thePort = (ProvidesEventPort) _thePort;
    isProxy = true;
  }
  
  public int notify(CCATEvent ccatEvent) throws RemoteException {
    int result = 0;
    if(isProxy){
      try{
	result = thePort.notify(ccatEvent);
	return result;
      } catch (Exception e){
	System.out.println(e);
      }
    } else {
      System.out.println("ProvidesEventPortSkel::Nothing to provide!");
    }
    return result;
  }
}


