package idl.getSystemFromFileParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesGetSystemFromFileParmsSkel extends UsesPortImpl 
    implements UsesGetSystemFromFileParms {

    // consructors
    public UsesGetSystemFromFileParmsSkel() {
	   super();
    }
    
    // remote methods
    public int sendGetSystemFromFileParms(GetSystemFromFileParms bip) 
	   throws RemoteException {

	   System.out.println("UsesGetSystemFromFileParmsSkel::" + 
					  "sendGetSystemFromFileParms called");
	   System.out.flush();	   

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesGetSystemFromFileParmsSkel::getSystemFromFileParms" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesGetSystemFromFileParms)remoteRef).sendGetSystemFromFileParms (bip);
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;	   
    }

    public int start() throws RemoteException {
	   System.out.println("UsesGetSystemFromFileParmsSkel:: start called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesGetSystemFromFileParmsSkel::start" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesGetSystemFromFileParms)remoteRef).start ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int stop() throws RemoteException {
	   System.out.println("UsesGetSystemFromFileParmsSkel:: stop called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesGetSystemFromFileParmsSkel::stop" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesGetSystemFromFileParms)remoteRef).stop ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int kill() throws RemoteException {
	   System.out.println("UsesGetSystemFromFileParmsSkel:: kill called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesGetSystemFromFileParmsSkel::kill" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesGetSystemFromFileParms)remoteRef).kill ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }
}

