package idl.splibParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesSplibParmsSkel extends UnicastRemoteObject 
    implements ProvidesSplibParms {

    // data
    private ProvidesSplibParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesSplibParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesSplibParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesSplibParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendSplibParms(SplibParms bip) 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }

    public String getOutputURL() 
	throws RemoteException {
	return "";
    }
}

