package idl.string;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesStringSkel extends UnicastRemoteObject implements ProvidesString {

  private ProvidesString thePort;
  private boolean isProxy;
  public ProvidesStringSkel() throws RemoteException {
    super();
    isProxy = false;
  }
  
  public void setProxy(ProvidesPort _thePort) throws Exception {
    // initialize the implementing port reference
    System.out.println("\n ProvidesStringSkel::setProxy() called");
    thePort = (ProvidesString) _thePort;
    isProxy = true;
  }
  
  public int setString(String s) throws RemoteException {
    int result = 0;
    if(isProxy){
      try{
	result = thePort.setString(s);
	return result;
      } catch (Exception e){
	System.out.println(e);
      }
    } else {
      System.out.println("ProvidesStringSkel::Nothing to provide!");
    }
    return result;
  }
}


