package idl.superLUParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesSuperLUParmsSkel extends UnicastRemoteObject 
    implements ProvidesSuperLUParms {

    // data
    private ProvidesSuperLUParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesSuperLUParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesSuperLUParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesSuperLUParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendSuperLUParms(SuperLUParms bip) 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }

    public String getOutputURL() 
	throws RemoteException {
	return "";
    }
}

