/*
 * LostPrecisionException
 *
 * This exception is thrown by the PutBuffer and GetBuffer classes
 * when the put or get operation they performed caused precision
 * of the data to be lost.  (For example, if a long must be encoded
 * in 4 bytes, then put_long() will throw this exception if the value
 * being put is greater than 2^31.)
 */

package nexus;

public class LostPrecisionException extends Exception {}
