/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * ExportException.java
 *
 */


package nexusrmi.server;

public class ExportException extends nexusrmi.RemoteException {

    /**
     * Create A remote exception with the specified string
     */
    public ExportException(String s) {
	super(s);
    }

    /**
     * Create A remote exception with the specified string, and the
     * exception specified.
     */
    public ExportException(String s, Exception ex) {
	super(s, ex);
    }

}
