/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * RemoteCall.java
 *
 */


package nexusrmi.server;

import nexusrmi.*;
import java.io.*;

// Currently not used.
public interface RemoteCall
{
    ObjectOutput getOutputStream()  throws IOException;
    void releaseOutputStream()  throws IOException;
    ObjectInput getInputStream()  throws IOException;
    void releaseInputStream() throws IOException;
    ObjectOutput getResultStream(boolean success) throws IOException, StreamCorruptedException;
    void executeCall() throws Exception;
    void done() throws IOException;
}
