/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * RemoteServer.java
 *
 */


package nexusrmi.server;

import java.io.*;
import nexusrmi.*;

// Not yet implemented.
public abstract class RemoteServer extends RemoteObject
{
    private static LogStream log;

    protected RemoteServer()
    {
    }
    
    public static String getClientHost() throws ServerNotActiveException
    {
	return "";
    }

    public static void setLog(java.io.OutputStream out) 
    {
	log = LogStream.log("NexusRMI");
	log.setOutputStream(out);
    }

    public static PrintStream getLog() 
    {
	return log;
    }

    static
    {
	log = LogStream.log("DefaultNexusRMI");
    }
}
