#include "EventGeneratorHome.h"
#include "../../../../framework/idl/eventPort/UsesEventPortSkel.h"
#include "../../../../framework/idl/eventPort/ProvidesEventPortSkel.h"
#include "../../../../framework/creation/ComponentFactory.h"

bool EventGeneratorHome::initFlag = false;

EventGenerator* EventGeneratorHome::instantiate() {
  init();
  return new EventGenerator();
}

void EventGeneratorHome::init() {
  // register ports
  UsesEventPortSkel::registerSelf();
  ProvidesEventPortSkel::registerSelf();

  // register the component itself
  if (!initFlag) {
    initFlag = true;

    myString compName("MyEventGenerator");
    EventGenerator *dummyComp = 0;
    EventGeneratorHome *dummyHome = 0;
    registerComponentType(compName, dummyComp, dummyHome);
  }
}
