SubDirs =

#
# c-exe
# cxx-exe
# f-exe
# lib

Target = printer
Type = cxx-exe

# Remember the last line must not end with a backslash.  Trying
# to use an extra blank line to terminate the list works for GNU
# make, but triggers a bug with IRIX and Solaris versions.

Hdrs = \
	PrinterComponent.h \
	PrinterComponentHome.h \
	../../../system/event-channel/FilteringEventChannel_impl.h \
	../../../system/event-channel/Listener.h \
	../../../system/event-channel/EventWrapper.h \
	../../../system/event-channel/EventChannelComponent.h \
	../../../system/event-channel/EventChannelComponentHome.h \
	../../../system/event-channel/EventPort_impl.h \
	../../../system/event-channel/EventQueue.h \
	../../../system/event-channel/EventQueueManager.h \
	../../../system/event-channel/Ptr.cc \
	../../../system/event-channel/Ptr.h \
	../../../system/event-channel/PtrObject.h

Srcs = \
	PrinterComponent.C \
	PrinterComponentHome.C \
	PrinterServer.C \
	../../../system/event-channel/FilteringEventChannel_impl.C \
	../../../system/event-channel/Listener.C \
	../../../system/event-channel/EventWrapper.C \
	../../../system/event-channel/EventChannelComponent.C \
	../../../system/event-channel/EventChannelComponentHome.C \
	../../../system/event-channel/EventPort_impl.C \
	../../../system/event-channel/EventQueue.C \
	../../../system/event-channel/EventQueueManager.C \
	../../../system/event-channel/PtrObject.C

Mods = \
	../../../../framework/idl/eventChannel/libidleventChannel.a \
	../../../../framework/idl/eventPort/libidleventPort.a \
	../../../../framework/ccacore/libccacore.a \
	../../../../framework/creation/libcreation.a \
	../../../../framework/connection/libconnection.a \
	../../../../framework/idl/string/libidlstring.a \
	../../../../framework/idl/eventPort/libidleventPort.a \
	../../../../framework/util/libutil.a

Libs = \
	-lhpcxx_rts \
	-lglobus_toolkit \
	-lglobus_duroc_bootstrap \
	-lglobus_duroc_runtime \
	-lglobus_gram_client \
	-lglobus_gram_myjob \
	-lglobus_nexus \
	-lglobus_io \
	-lglobus_duct_runtime \
	-lglobus_gss_assist \
	-lglobus_gss \
	-lglobus_gaa \
	-lglobus_dc \
	-lglobus_common \
	-lldap \
	-llber \
    -lssl \
    -lcrypto

#ldap

###############################
