#ifndef CCAT_BASIC_INFO_PARMS_IMPL_H
#define CCAT_BASIC_INFO_PARMS_IMPL_H


#include "../../../../framework/idl/basicInfoParms/ProvidesBasicInfoParms.h"

class BasicInfoComponent;
class BasicInfoParms;

class BasicInfoParms_impl : public ProvidesBasicInfoParms {

	public:

		BasicInfoParms_impl(BasicInfoComponent *sc);
		virtual ~BasicInfoParms_impl();

		int sendBasicInfoParms(BasicInfoParms *);
		virtual int start();
		virtual int stop();
		virtual int kill();
		virtual char* getOutputURL();

	private:

		BasicInfoComponent *const m_component;
		pthread_attr_t m_threadAttr;
		static void* killInANewThread(void *);
		static const int maxDirectoryNameLength;
		char* m_directoryName;
};


#endif
