SubDirs = gd

Target = basicInfo
Type = cxx-exe

Hdrs = \
	BasicInfo.h \
	BasicInfoComponent.h \
	BasicInfoComponentHome.h \
	BasicInfoParms.h \
	BasicInfoParms_impl.h \
	KeepOnTruckin.h \
	SparseLinearSystem_impl.h \
	gd.h


Srcs = \
	BasicInfo.C \
	BasicInfoComponent.C \
	BasicInfoComponentHome.C \
	BasicInfoParms.C \
	BasicInfoParms_impl.C \
	KeepOnTruckin.C \
	BasicInfoServer.C \
	SparseLinearSystem_impl.C \
	getinfo.f \
	getparms.f


Mods = \
	gd/gd.a \
    ../../../system/event-channel/eventChannel.a \
    ../../../../framework/idl/eventChannel/libidleventChannel.a \
    ../../../../framework/idl/eventPort/libidleventPort.a \
    ../../../../framework/idl/basicInfoParms/libidlbasicInfoParms.a \
    ../../../../framework/idl/sparseLinearSystem/libidlsparseLinearSystem.a \
	../Common/common.a \
    ../../../../framework/ccacore/libccacore.a \
    ../../../../framework/connection/libconnection.a \
    ../../../../framework/creation/libcreation.a \
    ../../../../framework/util/libutil.a

Libs = \
    -lhpcxx_rts \
    -lglobus_toolkit \
    -lglobus_duroc_bootstrap \
    -lglobus_duroc_runtime \
    -lglobus_gram_client \
    -lglobus_gram_myjob \
    -lglobus_nexus \
    -lglobus_io \
    -lglobus_duct_runtime \
    -lglobus_gss_assist \
    -lglobus_gss \
    -lglobus_gaa \
    -lglobus_dc \
    -lglobus_common \
    -lldap \
    -llber \
    -lssl \
    -lcrypto


CPPFLAGS_MOD_IND = -I. -I../Common

both:

main.o: main.C 
BasicInfoParms.o: BasicInfoParms.C
BasicInfo.o: BasicInfo.C
KeepOnTruckin.o: KeepOnTruckin.C
getparms.o: getparms.f
getinfo.o: getinfo.f

clean::
	rm -f driver mat.html *.o matrix.out mat*.gif
