#ifndef CCAT_DISCRETIZER_PARAM_IMPL_H
#define CCAT_DISCRETIZER_PARAM_IMPL_H


#include "../../../../framework/idl/discretizerParms/ProvidesDiscretizerParms.h"

class DiscretizerComponent;

class DiscretizerParms_impl : public ProvidesDiscretizerParms {

    public:

        DiscretizerParms_impl(DiscretizerComponent *sc);
        virtual ~DiscretizerParms_impl();

        virtual int sendDiscretizerParms();
        virtual int start();
        virtual int stop();
        virtual int kill();
	virtual char* getOutputURL();

    private:
        DiscretizerComponent *const m_component;
	pthread_attr_t m_threadAttr;
	static void* killInANewThread(void *);
	static const int maxDirectoryNameLength;
	char* m_directoryName;
};


#endif // CCAT_DISCRETIZER_PARAM_IMPL_H
