#ifndef CCAT_TIME_STEP_IMPL_H
#define CCAT_TIME_STEP_IMPL_H


#include "../../../../framework/idl/timeStep/ProvidesTimeStep.h"

class DiscretizerComponent;
class TimeStep;

class TimeStep_impl : public ProvidesTimeStep {

    public:

        TimeStep_impl(DiscretizerComponent *sc);
        virtual ~TimeStep_impl();

        virtual int sendTimeStep(TimeStep *);

    private:

        DiscretizerComponent *const m_component;
};


#endif // CCAT_TIME_STEP_IMPL_H
