#include "PutSolutionToFileComponentHome.h"
#include "../../../../framework/idl/solutionVector/ProvidesSolutionVectorSkel.h"
#include "../../../../framework/idl/putSolutionToFileParms/ProvidesPutSolutionToFileParmsSkel.h"
#include "../../../../framework/creation/ComponentFactory.h"



bool PutSolutionToFileComponentHome::initFlag = false;

PutSolutionToFileComponent* PutSolutionToFileComponentHome::instantiate() {
  init();
  return new PutSolutionToFileComponent;
}

void PutSolutionToFileComponentHome::init() {
const char *xfn = "PutSolutionToFileComponentHome::init";

	cout << xfn << " called." << endl;

	ProvidesSolutionVectorSkel::registerSelf();
	ProvidesPutSolutionToFileParmsSkel::registerSelf();

	// registering the component itself
	if (!initFlag) {
		cout << xfn << " registering PutSolutionToFile components." << endl;
		initFlag = true;
		myString compName("MyPutSolutionToFileComponent");
		PutSolutionToFileComponent *dummyComp = 0;
		PutSolutionToFileComponentHome *dummyHome = 0;
		registerComponentType(compName, dummyComp, dummyHome);
	}
}
