#ifndef REORDERPARMS_H
#define REORDERPARMS_H

// Control parameters for Reorder

#include <iomanip.h>
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <strings.h>
#include <ctype.h>
#include "orderings.h"

#ifdef REMOVE_
#define getparms_ getparms
#endif

// ------------------
// Fortran functions:
// ------------------
extern "C" {
  void getparms_( int* ordering_method );
}

class HPCxx_Buffer;

class ReorderParms {

friend void hpcxx_pack(HPCxx_Buffer& buffer, ReorderParms* p, int count);
friend void hpcxx_unpack(HPCxx_Buffer& buffer, ReorderParms* p, int count);
	
 public:
  enum Ordering reorder_method;
 public:
  ReorderParms();
  ReorderParms(enum Ordering reorder_method);
  ~ReorderParms();
};

ReorderParms getParameters();

#endif
