SubDirs = 

Target = reorder
Type = cxx-exe

Hdrs = \
	KeepOnTruckin.h \
	Reorder.h \
	ReorderComponent.h \
	ReorderComponentHome.h \
	ReorderParms.h \
	ReorderParms_impl.h \
	SparseLinearSystem_impl.h \
	forts.h \
	orderings.h


Srcs = \
	KeepOnTruckin.C \
	Reorder.C \
	ReorderComponent.C \
	ReorderComponentHome.C \
	ReorderParms.C \
	ReorderParms_impl.C \
	ReorderServer.C \
	SparseLinearSystem_impl.C \
	gennd.f \
	genqmd.f \
	genrcm.f \
	getapat.c \
	getparms.f \
	invertp.f \
	reorder.c \
	rowinc.f \
	setb.f

Mods = \
	../Common/common.a \
    ../../../system/event-channel/eventChannel.a \
    ../../../../framework/idl/eventChannel/libidleventChannel.a \
    ../../../../framework/idl/eventPort/libidleventPort.a \
    ../../../../framework/idl/reorderParms/libidlreorderParms.a \
    ../../../../framework/idl/sparseLinearSystem/libidlsparseLinearSystem.a \
    ../../../../framework/ccacore/libccacore.a \
    ../../../../framework/connection/libconnection.a \
    ../../../../framework/creation/libcreation.a \
    ../../../../framework/util/libutil.a

Libs = \
    -lhpcxx_rts \
    -lglobus_toolkit \
    -lglobus_duroc_bootstrap \
    -lglobus_duroc_runtime \
    -lglobus_gram_client \
    -lglobus_gram_myjob \
    -lglobus_nexus \
    -lglobus_io \
    -lglobus_duct_runtime \
    -lglobus_gss_assist \
    -lglobus_gss \
    -lglobus_gaa \
    -lglobus_dc \
    -lglobus_common \
    -lldap \
    -llber \
    -lssl \
    -lcrypto


CPPFLAGS_MOD_IND = -I. -I../Common

both:

main.o: main.C 
ReorderParms.o: ReorderParms.C
Reorder.o: Reorder.C
KeepOnTruckin.o: KeepOnTruckin.C
getparms.o: getparms.f
genqmd.o: genqmd.f
genrcm.o: genrcm.f
gennd.o: gennd.f
invertp.o: invertp.f
rowinc.o: rowinc.f
getapat.o: getapat.c
reorder.o: reorder.c
