SubDirs =
Target = scale
Type = cxx-exe

Hdrs = \
	KeepOnTruckin.h \
	Scale.h \
	ScaleParms.h \
	forts.h

Srcs = \
	KeepOnTruckin.C \
	main.C \
	Scale.C \
	ScaleParms.C \
	getparms.f \
	scala.f

Mods = \
    ../Common/common.a \
    ../../../system/event-channel/eventChannel.a \
    ../../../../framework/idl/eventChannel/libidleventChannel.a \
    ../../../../framework/idl/eventPort/libidleventPort.a \
    ../../../../framework/idl/solutionVector/libidlsolutionVector.a \
    ../../../../framework/idl/splibParms/libidlsplibParms.a \
    ../../../../framework/idl/sparseLinearSystem/libidlsparseLinearSystem.a \
    ../../../../framework/ccacore/libccacore.a \
    ../../../../framework/connection/libconnection.a \
    ../../../../framework/creation/libcreation.a \
    ../../../../framework/util/libutil.a

Libs = \
    -lhpcxx_rts \
    -lglobus_toolkit \
    -lglobus_duroc_bootstrap \
    -lglobus_duroc_runtime \
    -lglobus_gram_client \
    -lglobus_gram_myjob \
    -lglobus_nexus \
    -lglobus_io \
    -lglobus_duct_runtime \
    -lglobus_gss_assist \
    -lglobus_gss \
    -lglobus_gaa \
    -lglobus_dc \
    -lglobus_common \
    -lldap \
    -llber \
    -lssl \
    -lcrypto

CPPFLAGS_MOD_IND = -I. -I../Common

both:

main.o: main.C 
ScaleParms.o: ScaleParms.C
Scale.o: Scale.C
KeepOnTruckin.o: KeepOnTruckin.C
getparms.o: getparms.f
scala.o: scala.f

clean::
	rm -f driver matrix.out
