c======================================================================== 
      subroutine openunits(iunit)
      implicit none
c======================================================================== 
c
c  Assign and open logical I/O units used by SPLIB.
c
c     Randall Bramley
c     Department of Computer Science
c     Indiana University
c     email: bramley@cs.indiana.edu
c     Tue May 20 12:41:11 EST 1997
c
c======================================================================== 
c
      integer i, iunit(*)

c     ----------------------------------------------
c     Input file for matrix in Harwell/Boeing format
c     ----------------------------------------------
      iunit(3) = 4

c     ----------------------------------
c     Input file with control parameters
c     ----------------------------------
      iunit(2) = 5

c     ----------------------------------------------------
c     Output file with echoed input and summary of run(s).
c     ----------------------------------------------------

      iunit(1) = 60

c     ------------------------------------------------
c     Other unit number somewhat arbitrarily assigned:
c     ------------------------------------------------
      do i = 4,20
         iunit(i) = i+3
      end do 

c     -----------------------------------------
c     Open required files for input and results
c     -----------------------------------------
      open(iunit(1),file='splibresults/splib.results.html')

      return
      end
