c=======================================================================
      subroutine diagonal(n     ,c_ind , r_point, 
     1                   ilu   ,ilup  ,  iwork , space  ,
     2                   ierr  , mneed )

c**********************************************************************
c                   SPLIB Copyright (C) 1995-1999                    **
c                     Indiana University                             **
c**********************************************************************

      implicit none
c-----------------------------------------------------------------------
c	n, c_ind, r_point: structure of matrix A
c	ilu, ilup: pointers to the structure array of ECIMGS pattern
c	iwork, space: work space woth size = size_work
c	ierr: error code
c		= 0, no error is detected
cc		= 1, short of space
c-----------------------------------------------------------------------
	integer n, c_ind(*), r_point(*), iwork(*)
	integer ilu, ilup, space, ierr, mneed
	integer i
	
	if (space .lt. 2*n+2) then
	    ierr = 1
	    mneed = 2*n+2 - space
	    goto 1000
	endif
c
c  compute the pattern: 
c	
	ilup = 1
	ilu = n+1
	iwork(ilu) = n+2
	do i = 1, n
	    iwork(ilup+i-1) = n+2
	    iwork(ilu+i)  = n+2
	enddo
1000	continue
	return
	end
	
