#ifdef AIX
#define etime  etime_
#endif
c========================================================================
        real*8 function mytime()
c========================================================================

c**********************************************************************
c                   SPLIB Copyright (C) 1995                         **
c                     Indiana University                             **
c**********************************************************************

c
c  Return elapsed time in seconds since start of program.
c  This file is for use on several different machines, and
c  allows writing code that can be ported to different machines
c  by changing only this timing function.  Uncomment out for
c  the machine you intend to use.
c
c     12 June 1992
c     Randall Bramley
c     Department of Computer Science
c     Indiana University
c     email: bramley@cs.indiana.edu
c
c========================================================================
c
c  RS/6000:  mclock is an integer, giving hundredths of seconds.
c        integer mclock
c        external mclock
c        mytime = dfloat(mclock())*0.01d0
c  Cray:
c       real*8 timer
c       call second(timer)
c       mytime = timer
c
c  Generic Unix: elapsed time since start of program, in seconds.
       real etime,tarray(2)
       external etime
       mytime = etime(tarray)
c
c
c  i860 chip: dclock is real*8, returning seconds
c       real*8 dclock
c       mytime = dclock()
c
        return
        end
c
c========================================================================
c
