#ifndef CCAT_SUPER_LU_PARAM_H
#define CCAT_SUPER_LU_PARAM_H


#include "../../../../framework/idl/superLUParms/ProvidesSuperLUParms.h"

class SuperLUComponent;
class SuperLUParms;

class SuperLUParms_impl : public ProvidesSuperLUParms {

    public:

        SuperLUParms_impl(SuperLUComponent *sc);
        virtual ~SuperLUParms_impl();

        virtual int sendSuperLUParms(SuperLUParms *);
        virtual int start();
        virtual int stop();
        virtual int kill();
	virtual char* getOutputURL();

    private:

        SuperLUComponent *const m_component;
	pthread_attr_t m_threadAttr;
	static void* killInANewThread(void *);
	static const int maxDirectoryNameLength;
	char* m_directoryName;
};


#endif
