/*  
//
//  Test driver for SuperLU.  Algorithm is:
//  
//  k = 0;
//  while (keep_going(k))
//	GetSparseSystem;
//	GetSuperLUParms;
//	call SuperLU()
//	k = k + 1;
//      PutSolutionVector;
//	FreeStorage;
//  end while
//
//  Randall Bramley
//  Department of Computer Science
//  Indiana University, Bloomington
//  bramley@cs.indiana.edu                             
//  Sun Nov  7 15:52:20 EST 1999
//  --------------------------------------------------------------------------------
*/

//  This main driver will not be used for the CCAT stuff
//  We will use the main in SuperLUServer instead.
//  The execution logic shown in this main has been
//  moved to SuperLUParms_impl.C and SuperLU_impl.C
//  -Ken and Madhu

// #include <stdio.h>
// #include <stdlib.h>
// #include <string.h>
// #include <strings.h>
// #include <unistd.h>
// #include <errno.h>
// #include <iostream.h>
// #include <assert.h>
// #include <mmio.h>
// #include <SparseLinearSystem.h>
// #include <GetSparseSystem.h>
// #include <PutSparseSystem.h>
// #include <PutSolutionVector.h>
// //#include <FreeStorage.h>
// #include <KeepOnTruckin.h>
// #include <SuperLUParms.h>
// #include <SuperLU.h>

// int main(int argc, char *argv[]) {

//   int ErrorCode;
//   int k = 0;  // Number of times through

//   while (KeepOnTruckin(k)) {

//       SuperLUParms p = getParameters();

//       SparseLinearSystem *sls;

//       // --------------------------------------------------
//       // Replace the following with a provides port access.
//       // Now it just calls readmt_(), a Fortran H/B reader.
//       // --------------------------------------------------

//       sls = GetSparseSystem();

//       // --------------------------------------
//       // Call splib to solve the damned system.
//       // --------------------------------------

//       ErrorCode = SuperLU(p, sls);
//       cout << "ErrorCode from SuperLU is: " << ErrorCode << endl;

//       // --------------------------------------------------
//       // Now call PutSolutionVector to demunge and output x
//       // --------------------------------------------------

//       int errflag = PutSolutionVector(sls);

//       //FreeStorage(sls);

//       k++;

//   }

//   return 0;
// }

