SubDirs = 
Target = timeGen
Type = cxx-exe


Hdrs = \
	RunItAgain_impl.h \
	TimeGenComponent.h \
	TimeGenComponentHome.h \
	TimeGenParms_impl.h \
	TimeGenParms.h

Srcs =  \
	RunItAgain_impl.C \
	TimeGenComponent.C \
	TimeGenComponentHome.C \
	TimeGenServer.C \
	TimeGenParms_impl.C  \
	TimeGenParms.C 

Mods = \
	../../../system/event-channel/eventChannel.a \
	../../../../framework/idl/eventChannel/libidleventChannel.a \
	../../../../framework/idl/eventPort/libidleventPort.a \
	../../../../framework/idl/timeStepParms/libidltimeStepParms.a \
	../../../../framework/idl/timeStep/libidltimeStep.a \
	../../../../framework/idl/runItAgain/libidlrunItAgain.a \
	../Common/common.a \
	../../../../framework/ccacore/libccacore.a \
	../../../../framework/connection/libconnection.a \
	../../../../framework/creation/libcreation.a \
	../../../../framework/util/libutil.a

Libs = \
	-lhpcxx_rts \
	-lglobus_toolkit \
	-lglobus_duroc_bootstrap \
	-lglobus_duroc_runtime \
	-lglobus_gram_client \
	-lglobus_gram_myjob \
	-lglobus_nexus \
	-lglobus_io \
	-lglobus_duct_runtime \
	-lglobus_gss_assist \
	-lglobus_gss \
	-lglobus_gaa \
	-lglobus_dc \
	-lglobus_common \
	-lldap \
	-llber \
	-lssl \
	-lcrypto

both:

CPPFLAGS_MOD_IND = -I. -I../Common

clean::
	rm -f Mreli
	rm -f Mrelt
	rm -f Mresi
	rm -f Mrest
	rm -f oetli
	rm -f oetlt
	rm -f errori
	rm -f errort
	rm -f reli
	rm -f relt
	rm -f resi
	rm -f rest
	rm -f splib.results.html
	rm -f rusage
	rm -f About_SPLIB.html
	rm -f solution

#include ../make.inc

#driver: main.o PutSolutionVector.o\
#	           SplibParms.o\
#	           Splib.o\
#	           KeepOnTruckin.o\
#	           openunits.o closeunits.o\
#	           flushunits.o\
#	           getparms.o\
#	           ../Common/common.a splib.a
#   $(CC) $(LINKFLAGS) -o driver $(INC) main.o\
#	           PutSolutionVector.o\
#	           SplibParms.o\
#	           Splib.o\
#	           KeepOnTruckin.o\
#	           openunits.o closeunits.o\
#	           flushunits.o\
#	           getparms.o\
#	           ../Common/common.a splib.a $(LIBS)

main.o: main.C Splib.h
PutSolutionVector.o: PutSolutionVector.C
SplibParms.o: SplibParms.C
KeepOnTruckin.o: KeepOnTruckin.C
Splib.o: Splib.C
openunits.o: openunits.f
closeunits.o: closeunits.f
flushunits.o: flushunits.F
getparms.o: getparms.f
splib.o: splib.F

#splib.a: 
#   make -f make.splib
#../Common/common.a: 
#   (cd ../Common; make)
#
#clean: 
#   make -f make.splib clean
