#ifndef CCAT_TIME_GEN_PARAM_H
#define CCAT_TIME_GEN_PARAM_H


#include "../../../../framework/idl/timeStepParms/ProvidesTimeStepParms.h"

class TimeGenComponent;
class TimeGenParms;

class TimeGenParms_impl : public ProvidesTimeStepParms {

    public:

        TimeGenParms_impl(TimeGenComponent *sc);
        virtual ~TimeGenParms_impl();

        virtual int sendTimeStepParms(TimeGenParms* tgp);
        virtual int start();
        virtual int stop();
        virtual int kill();
	virtual char* getOutputURL();

    private:

        TimeGenComponent *const m_component;
        pthread_attr_t m_threadAttr;
	static void* killInANewThread(void *);
	static const int maxDirectoryNameLength;
	char* m_directoryName;
};


#endif
