#ifndef CCAT_CCAEVENT_H
#define CCAT_CCAEVENT_H



#include <string>




/*----------------------------------------------------------------------------\
|                                                                             |
|                                                                             |
|  CCAEvent                                                                   |
|                                                                             |
|                                                                             |
\----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
|  Forwards                                                                   |
-----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
|  Inline Helper Functions                                                    |
-----------------------------------------------------------------------------*/

class CCAEvent {

    /*--------------------------------------------------------------------------
     *  Access Specifiers
     */

    /*--------------------------------------------------------------------------
     *  Forwards
     */

    /*--------------------------------------------------------------------------
     *  Friends
     */

    /*--------------------------------------------------------------------------
     *  Types-Constants
     */

    /*--------------------------------------------------------------------------
     *  Constructors-Initters-Assignment-Conversions-Destructors
     */

	public:
		CCAEvent(const char *id, const char *type);
		~CCAEvent();
    
    /*--------------------------------------------------------------------------
     *  Access Operators-Methods
     */

	public:

		const char *type() const {
			return m_type.c_str();
		}

		const char *id() const {
			return m_id.c_str();
		}

    /*--------------------------------------------------------------------------
     *  Operators
     */

    /*--------------------------------------------------------------------------
     *  Methods
     */

    /*--------------------------------------------------------------------------
     *  Data
     */

	private:

		std::string m_id;
		std::string m_type;

    /*--------------------------------------------------------------------------
     *  Static Methods
     */

    /*--------------------------------------------------------------------------
     *  Static Data
     */
};



#endif
