#ifndef CCAT_EVENT_PORT_IMPL_H
#define CCAT_EVENT_PORT_IMPL_H


#include "../../../framework/idl/eventPort/ProvidesEventPort.h"


/*----------------------------------------------------------------------------\
|                                                                             |
|                                                                             |
|  EventPort_impl                                                             |
|                                                                             |
|                                                                             |
\----------------------------------------------------------------------------*/

/*-----------------------------------------------------------------------------
|  Forwards                                                                   |
-----------------------------------------------------------------------------*/

class Event;
class EventQueueManager;

/*-----------------------------------------------------------------------------
|  Inline Helper Functions                                                    |
-----------------------------------------------------------------------------*/

class EventPort_impl : public ProvidesEventPort {

    /*--------------------------------------------------------------------------
     *  Access Specifiers
     */

    /*--------------------------------------------------------------------------
     *  Forwards
     */

    /*--------------------------------------------------------------------------
     *  Friends
     */

    /*--------------------------------------------------------------------------
     *  Types-Constants
     */

    /*--------------------------------------------------------------------------
     *  Constructors-Initters-Assignment-Conversions-Destructors
     */

	public:

		EventPort_impl(EventQueueManager *lsm);
		~EventPort_impl();
    
    /*--------------------------------------------------------------------------
     *  Access Operators-Methods
     */

    /*--------------------------------------------------------------------------
     *  Operators
     */

    /*--------------------------------------------------------------------------
     *  Methods
     */

	public:

		int notify(Event *ev);

    /*--------------------------------------------------------------------------
     *  Data
     */

	private:

		EventQueueManager * const m_eventQueueManager;

    /*--------------------------------------------------------------------------
     *  Static Methods
     */

    /*--------------------------------------------------------------------------
     *  Static Data
     */
};



#endif
