SubDirs =
Target = eventChannel
#
# c-exe
# cxx-exe
# f-exe
# lib
Type = cxx-exe

# Remember the last line must not end with a backslash.  Trying
# to use an extra blank line to terminate the list works for GNU
# make, but triggers a bug with IRIX and Solaris make.

Hdrs = \
	EventWrapper.h \
	EventChannelComponent.h \
	EventChannelComponentHome.h \
	EventPort_impl.h \
	EventQueue.h \
	EventQueueManager.h \
	FilteringEventChannel_impl.h \
	Listener.h \
	Ptr.cc \
	Ptr.h \
	PtrObject.h

Srcs = \
	EventWrapper.C \
	EventChannelComponent.C \
	EventChannelComponentHome.C \
	EventPort_impl.C \
	EventQueue.C \
	EventQueueManager.C \
	FilteringEventChannel_impl.C \
	Listener.C \
	PtrObject.C \
	main.C

Mods = \
	../../../framework/idl/eventChannel/libidleventChannel.a \
	../../../framework/idl/eventPort/libidleventPort.a \
	../../../framework/ccacore/libccacore.a \
	../../../framework/connection/libconnection.a \
	../../../framework/creation/libcreation.a \
	../../../framework/util/libutil.a

Libs = \
	-lhpcxx_rts \
	-lglobus_toolkit \
	-lglobus_duroc_bootstrap \
	-lglobus_duroc_runtime \
	-lglobus_gram_client \
	-lglobus_gram_myjob \
	-lglobus_nexus \
	-lglobus_io \
	-lglobus_duct_runtime \
	-lglobus_gss_assist \
	-lglobus_gss \
	-lglobus_gaa \
	-lglobus_dc \
	-lglobus_common \
	-lldap \
	-llber \
	-lssl \
	-lcrypto

both:

eventChannel: eventChannel.a

Target_2 = eventChannel.a
Objs_2 = \
	EventWrapper.o \
	EventChannelComponent.o \
	EventChannelComponentHome.o \
	EventPort_impl.o \
	EventQueue.o \
	EventQueueManager.o \
	FilteringEventChannel_impl.o \
	Listener.o \
	PtrObject.o

eventChannel.a: dummy.cxx-exe
	${ARC2}
	


##################################
