// -*-c++-*-

// Port.h: Used to wrap global pointers to 
// implementation class and send to remote
// processes
// --Madhu

#ifndef _PORT_H__
#define _PORT_H__

#include <vector>
#include <iterator>
#include <iostream.h>
#include <string.h>
#include "../util/HPCxx_String.h"
#include "../util/MyHPCxx_GlobalPtr.h"
#include "PortSkel.h"
#include "STL.h"


class Port{
public:
  MyHPCxx_GlobalPtr<PortSkel> *skp;
public:
  // port class constructor
  Port();
  Port(Port &portRef_);
  Port(PortSkel *portSkelPtr);
  //  bool operator==(const Port&);
  virtual ~Port();
  friend void hpcxx_pack(HPCxx_Buffer& b, Port* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, Port* p, int count);
};
#endif // _PORT_H__





