// -*-c++-*-

// PortSkel: all provides port objects
// inherit from this. 
// --Madhu

#ifndef _PORT_SKEL_H__
#define _PORT_SKEL_H__

// Do NOT include this file
// circular dependecies will result
// with PortSkel.h otherwise
//#include "Port.h" 
#include <hpcxx_rts.h>
#include "STL.h"

// data member "portPointer"
// is accessed by CCAT_ProvidesString_idlSkel (one case).
// this class inherits from PortSkel.
// hence "portPointer" is protected and 
// not private.

// forward declaration
class Port;

class PortSkel{
protected:
  Port *portPointer;
  vector<Port * > providerList;
public:
  PortSkel(Port * _portPointer);
friend void hpcxx_pack(HPCxx_Buffer& b, PortSkel* p, int count);
friend void hpcxx_unpack(HPCxx_Buffer& b, PortSkel* p, int count);

};


#endif // _PORT_SKEL_H__
