// -*-c++-*-

// Services.h: part of the cca specs
// --Madhu

#ifndef _SERVICES_H__
#define _SERVICES_H__

#include "PortInfo.h"
#include "Port.h"
#include "ComponentID.h"
#include "ConnectionListener.h"
#include "PortInfo.h"

class Services{
public:
  virtual ~Services(){}
  virtual PortInfo** getProvidesPorts(int& length) = 0;
  virtual PortInfo** getUsesPorts(int& length) =0;
  virtual Port* getPort(char *name)=0;
  virtual void registerUsesPort(PortInfo *nameAndTtype) =0;
  virtual void addProvidesPort(Port *inPort, PortInfo *name) =0;
  virtual void addConnectionListener(ConnectionListener *l) = 0; 
  virtual void releasePort(char *name) = 0;
  virtual ComponentID* getComponentID() = 0; 
};

#endif // _SERVICES_H__
