// -*-c++-*-
#ifndef _USES_BASIC_INFO_PARMS_SKEL_H__
#define _USES_BASIC_INFO_PARMS_SKEL_H__



#include "UsesBasicInfoParms.h"



class Port;



class UsesBasicInfoParmsSkel: public UsesBasicInfoParms {

        friend void hpcxx_pack(HPCxx_Buffer& b, UsesBasicInfoParmsSkel* p,
         int count);
        friend void hpcxx_unpack(HPCxx_Buffer& b, UsesBasicInfoParmsSkel* p,
         int count);

    public:

        UsesBasicInfoParmsSkel() : UsesBasicInfoParms() {}
        UsesBasicInfoParmsSkel(Port *) : UsesBasicInfoParms() {}

        // these are local method invocations
        int sendBasicInfoParms(BasicInfoParms *sls);
        int start();
        int stop();
        int kill();
        char* getOutputURL();

    public:

        // port registration
        static void registerSelf ();

    private:

        static bool registerFlag;  
};



#endif
