#include "UsesFilteringEventChannelSkel.h"
#include "../../ccacore/CCATServicesProxy.h"
#include <hpcxx.h>

#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"

bool UsesFilteringEventChannelSkel::registerFlag = false;

int UsesFilteringEventChannelSkel :: registerListener(ComponentID *listener, char *listenerProvidesPort, char *type) throw (AlreadyRegisteredException) {

  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      HPCxx_String listenerProvidesPortTemp(listenerProvidesPort);
      HPCxx_String typeTemp(type);
      cout << "UsesFilteringEventChannelSkel::call regsiterListener with "  << listenerProvidesPort << "and " << type << endl;
      cout.flush();
      CCATServicesProxy *listenerCompID = dynamic_cast<CCATServicesProxy *>(listener);
      //      hpcxx_minvoke((*pidl).skp, dummy, REGISTER_LISTENER_ID, *(listenerCompID->skp), listenerProvidesPortTemp, typeTemp);
    //      CCATServicesProxy listenerCompID(dynamic_cast<CCATServicesProxy *>(listener));
      hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, REGISTER_LISTENER_ID, *(listenerCompID->skp), listenerProvidesPortTemp, typeTemp);
    } else {
      cout << "UsesFilteringEventChannelSkel::registerListener::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}

int UsesFilteringEventChannelSkel :: registerPublisher(ComponentID *publisher, char *publisherUsesPort) throw (AlreadyRegisteredException) {
  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      HPCxx_String publisherUsesPortTemp(publisherUsesPort);
      // CCATServicesProxy publisherCompID(dynamic_cast<CCATServicesProxy *>(publisher));
      CCATServicesProxy *publisherCompID = dynamic_cast<CCATServicesProxy *>(publisher);
     cout << "UsesFilteringEventChannel::registerPublisher: publisher port Name " << publisherUsesPortTemp << endl;
     cout << "UsesFilteringEventChannel::sending GP with FQN " << (publisherCompID->skp)->getFullyQualifiedFileName() << endl;
     assert(publisherCompID->skp != NULL);
	 
   //  hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, REGISTER_PUBLISHER_ID, *((HPCxx_GlobalPtr<CCATServicesSkel> *)(publisherCompID.skp)), publisherUsesPortTemp);
     hpcxx_minvoke((*pidl).skp, dummy, REGISTER_PUBLISHER_ID, *(publisherCompID->skp), publisherUsesPortTemp);
     cout << "UsesFilteringEventChannel::registerPublisher: minvoke returned " << publisherUsesPort << endl;
    } else {
      cout << "UsesFilteringEventChannelSkel::registerPublisher::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}

int UsesFilteringEventChannelSkel :: unregister(ComponentID *component, char *portName) throw (NotRegisteredException) {
  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      HPCxx_String portNameTemp(portName);
//       CCATServicesProxy componentCompID(dynamic_cast<CCATServicesProxy *>(component));
//       hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, UNREGISTER_ID, *((HPCxx_GlobalPtr<CCATServicesSkel> *)(componentCompID.skp)), portNameTemp);

      CCATServicesProxy *componentCompID = dynamic_cast<CCATServicesProxy *>(component);
      hpcxx_minvoke((*pidl).skp, dummy, UNREGISTER_ID, *(componentCompID->skp), portNameTemp);
    } else {
      cout << "UsesFilteringEventChannelSkel::unregister::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}

void UsesFilteringEventChannelSkel::registerSelf () {
  if (!registerFlag) {
    registerFlag = true;

    registerUsesPortType("FilteringEventChannel_idl", 
					*(new UsesFilteringEventChannelSkel()));
  }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesFilteringEventChannelSkel* p, int count) {}
void hpcxx_unpack(HPCxx_Buffer& b, UsesFilteringEventChannelSkel* p, int count){}


