#include "UsesEventPortSkel.h"

#ifdef ORIG

#include <hpcxx_invoke.cc>
#include <HPCxx_GlobalPtr.cc>

#else

#include <hpcxx.h>

#endif

#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"

bool UsesEventPortSkel::registerFlag = false;

int UsesEventPortSkel :: notify(Event *event) {
  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, NOTIFY_ID, *event);
    } else {
      cout << "UsesEventPortSkel::notify::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}


void UsesEventPortSkel::registerSelf () {
  if (!registerFlag) {
    registerFlag = true;

    registerUsesPortType("EventPort_idl", *(new UsesEventPortSkel()));
  }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesEventPortSkel* p, int count) {}
void hpcxx_unpack(HPCxx_Buffer& b, UsesEventPortSkel* p, int count){}


