// -*-c++-*-

#ifndef _USES_EVENT_PORT_SKEL_H__
#define _USES_EVENT_PORT_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../exceptions/AlreadyRegisteredException.h"
#include "../../exceptions/NotRegisteredException.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesEventPort.h"
#include "UsesEventPort.h"
#include "EventPort_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesEventPortSkel: public UsesEventPort {
public:
  UsesEventPortSkel(): UsesEventPort() {}
  UsesEventPortSkel(Port *): UsesEventPort() {}
  
  // these are local method invocations
  int notify(Event *event);
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesEventPortSkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesEventPortSkel* p, int count);

  // port registration
  static void registerSelf ();

private:
  static bool registerFlag;  
};

#endif // _USES_EVENT_PORT_SKEL_H__





