// -*-c++-*-

#ifndef _USES_GEOMETRY_SKEL_H__
#define _USES_GEOMETRY_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesGeometry.h"
#include "UsesGeometry.h"
#include "Geometry_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesGeometrySkel: public UsesGeometry {
public:
  UsesGeometrySkel(): UsesGeometry() {}
  UsesGeometrySkel(Port *): UsesGeometry() {}
  
  // these are local method invocations
  int sendGeometry(Geometry *geo);
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesGeometrySkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesGeometrySkel* p, int count);

  // port registration
  static void registerSelf ();
  
private:
  static bool registerFlag;  
};

#endif // _USES_GEOMETRY_SKEL_H__





