#include "ProvidesGetSystemFromFileParmsSkel.h"
#include <hpcxx.h>
#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "ProvidesGetSystemFromFileParms.h"



bool ProvidesGetSystemFromFileParmsSkel::registerFlag = false;



ProvidesGetSystemFromFileParmsSkel::ProvidesGetSystemFromFileParmsSkel(Port *executingPort) 
 : PortSkel(executingPort) {}

int
ProvidesGetSystemFromFileParmsSkel::sendGetSystemFromFileParms(
 GetSystemFromFileParms parms) {
const char *xfn = "ProvidesGetSystemFromFileParmsSkel::sendGetSystemFromFileParms";

    cout << xfn << " called." << endl;

    ProvidesGetSystemFromFileParms *port
     = dynamic_cast<ProvidesGetSystemFromFileParms *>(portPointer); 

    int result = port->sendGetSystemFromFileParms(new
     GetSystemFromFileParms(parms));

    return result;
}

void
ProvidesGetSystemFromFileParmsSkel::registerSelf() {

  if (!registerFlag) {

    registerFlag = true;

    hpcxx_registerClass((ProvidesGetSystemFromFileParmsSkel *) NULL);
    hpcxx_register(
     &ProvidesGetSystemFromFileParmsSkel::sendGetSystemFromFileParms,
     SEND_GET_SYSTEM_FROM_FILE_PARMS_ID);
    registerProvidesPortType("GetSystemFromFileParms_idl",
     *(new ProvidesGetSystemFromFileParmsSkel(NULL)));    
  }
}

// these methods will not be called
// we never move skels around.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesGetSystemFromFileParmsSkel* p,
 int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesGetSystemFromFileParmsSkel* p,
 int count) {
    assert(0);
}

#ifdef ORIG
// register all the port types and their member functions.
void registerGetSystemFromFileParmsPorts(){
  hpcxx_registerClass((ProvidesGetSystemFromFileParmsSkel *)NULL);
  hpcxx_register(&ProvidesGetSystemFromFileParmsSkel::registerListener, SEND_GET_SYSTEM_FROM_FILE_PARMS_ID);
}
#endif
