// -*-c++-*-
#ifndef _PROVIDES_GET_SYSTEM_FROM_FILE_PARMS_SKEL_H
#define _PROVIDES_GET_SYSTEM_FROM_FILE_PARMS_SKEL_H



#include "../../ccacore/PortSkel.h"
#include "../../../components/application/lsa/GetSystemFromFile/GetSystemFromFileParms.h"
#include "../PORTS_REGISTRATION_ID.h"



class Port;
class ProvidesGetSystemFromFileParmsSkel;



// The provides port that calls the executing port
// to implement the method declared in the idl

class ProvidesGetSystemFromFileParmsSkel : public PortSkel {

    public:

        ProvidesGetSystemFromFileParmsSkel(Port *executingPort);
        int sendGetSystemFromFileParms(GetSystemFromFileParms sls);

    public:

        // port registration
        static void registerSelf ();
        static int registrationID() {
         return PROVIDES_GET_SYSTEM_FROM_FILE_PARMS_SKEL_ID; }

    private:

        static bool registerFlag;  
};



// These packs are never called because we don't move skels.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesGetSystemFromFileParmsSkel* p, int count);
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesGetSystemFromFileParmsSkel* p, int count);
void registerGetSystemFromFileParmsPorts();



#endif
