// -*-c++-*-
#ifndef _PROVIDES_PUT_SOLUTION_TO_FILE_PARMS_SKEL_H
#define _PROVIDES_PUT_SOLUTION_TO_FILE_PARMS_SKEL_H



#include "../../ccacore/PortSkel.h"
#include "../../../components/application/lsa/PutSolutionToFile/PutSolutionToFileParms.h"
#include "../PORTS_REGISTRATION_ID.h"



class Port;
class ProvidesPutSolutionToFileParmsSkel;



// The provides port that calls the executing port
// to implement the method declared in the idl

class ProvidesPutSolutionToFileParmsSkel : public PortSkel {

    public:

        ProvidesPutSolutionToFileParmsSkel(Port *executingPort);
        int sendPutSolutionToFileParms(PutSolutionToFileParms sls);

    public:

        // port registration
        static void registerSelf ();
        static int registrationID() {
		 return PROVIDES_PUT_SOLUTION_TO_FILE_PARMS_SKEL_ID; }

    private:

        static bool registerFlag;  
};



// These packs are never called because we don't move skels.
void hpcxx_pack(HPCxx_Buffer& b, ProvidesPutSolutionToFileParmsSkel* p, int count);
void hpcxx_unpack(HPCxx_Buffer& b, ProvidesPutSolutionToFileParmsSkel* p, int count);
void registerPutSolutionToFileParmsPorts();


#endif
