#include "UsesPutSolutionToFileParmsSkel.h"
#include <hpcxx.h>
#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "../../../components/application/lsa/PutSolutionToFile/PutSolutionToFileParms.h"



bool UsesPutSolutionToFileParmsSkel::registerFlag = false;

int UsesPutSolutionToFileParmsSkel::sendPutSolutionToFileParms(
 PutSolutionToFileParms *sls) {
const char *xfn = "UsesPutSolutionToFileParmsSkel::sendPutSolutionToFileParms";

    for (vector<Port*>::iterator iter = providerList.begin();
     iter != providerList.end(); iter++) {

        Port *pidl = *iter;
        int dummy;

        if ((*pidl).skp) {

            cout << xfn << " called." << endl;

            hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy,
             SEND_PUT_SOLUTION_TO_FILE_PARMS_ID, *sls);

        } else {

            cout << "UsesPutSolutionToFileParmsSkel::registerListener::Unbound"
             " ProvidesPort Proxy !! \n" << endl;
            assert(0);
        }
    }

    return 0;
}

void UsesPutSolutionToFileParmsSkel::registerSelf () {
    if (!registerFlag) {
        registerFlag = true;
        registerUsesPortType("PutSolutionToFileParms_idl", 
         *(new UsesPutSolutionToFileParmsSkel()));
    }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesPutSolutionToFileParmsSkel* p, int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, UsesPutSolutionToFileParmsSkel* p, int count){
    assert(0);
}
