#include "UsesReorderParmsSkel.h"
#include <hpcxx.h>



#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "../../../components/application/lsa/Reorder/ReorderParms.h"



bool UsesReorderParmsSkel::registerFlag = false;

int UsesReorderParmsSkel::sendReorderParms(ReorderParms *sls) {

    for (vector<Port*>::iterator iter = providerList.begin();
     iter != providerList.end(); iter++) {

        Port *pidl = *iter;
        int dummy;

        if ((*pidl).skp) {

            cout << "UsesReorderParmsSkel::call sendReorderParms " << endl;

            hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy,
             SEND_REORDER_PARMS_ID, *sls);

        } else {

            cout << "UsesReorderParmsSkel::registerListener::Unbound"
             " ProvidesPort Proxy !! \n" << endl;
            assert(0);
        }
    }

    return 0;
}

void UsesReorderParmsSkel::registerSelf () {
    if (!registerFlag) {
        registerFlag = true;
        registerUsesPortType("ReorderParms_idl", 
         *(new UsesReorderParmsSkel()));
    }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesReorderParmsSkel* p, int count) {
    assert(0);
}
void hpcxx_unpack(HPCxx_Buffer& b, UsesReorderParmsSkel* p, int count){
    assert(0);
}
