// -*-c++-*-

#ifndef _USES_RUN_IT_AGAIN_SKEL_H__
#define _USES_RUN_IT_AGAIN_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesRunItAgain.h"
#include "UsesRunItAgain.h"
#include "RunItAgain_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesRunItAgainSkel: public UsesRunItAgain {
public:
  UsesRunItAgainSkel(): UsesRunItAgain() {}
  UsesRunItAgainSkel(Port *): UsesRunItAgain() {}
  
  // these are local method invocations
  int sendRunItAgain();
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesRunItAgainSkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesRunItAgainSkel* p, int count);

  // port registration
  static void registerSelf ();
  
private:
  static bool registerFlag;  
};

#endif // _USES_RUN_IT_AGAIN_SKEL_H__





