// -*-c++-*-
#ifndef _USES_SCALE_PARMS_SKEL_H__
#define _USES_SCALE_PARMS_SKEL_H__



#include "UsesScaleParms.h"



class Port;



class UsesScaleParmsSkel: public UsesScaleParms {

        friend void hpcxx_pack(HPCxx_Buffer& b, UsesScaleParmsSkel* p,
         int count);
        friend void hpcxx_unpack(HPCxx_Buffer& b, UsesScaleParmsSkel* p,
         int count);

    public:

        UsesScaleParmsSkel() : UsesScaleParms() {}
        UsesScaleParmsSkel(Port *) : UsesScaleParms() {}

        // these are local method invocations
        int sendScaleParms(ScaleParms *sls);

    public:

        // port registration
        static void registerSelf ();

    private:

        static bool registerFlag;  
};



#endif
