// -*-c++-*-

#ifndef _USES_SPARSE_LINEAR_SYSTEM_SKEL_H__
#define _USES_SPARSE_LINEAR_SYSTEM_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesSparseLinearSystem.h"
#include "UsesSparseLinearSystem.h"
#include "SparseLinearSystem_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesSparseLinearSystemSkel: public UsesSparseLinearSystem {
public:
  UsesSparseLinearSystemSkel(): UsesSparseLinearSystem() {}
  UsesSparseLinearSystemSkel(Port *): UsesSparseLinearSystem() {}
  
  // these are local method invocations
  int sendSparseLinearSystem(SparseLinearSystem *sls);
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesSparseLinearSystemSkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesSparseLinearSystemSkel* p, int count);

  // port registration
  static void registerSelf ();
  
private:
  static bool registerFlag;  
};

#endif // _USES_SPARSE_LINEAR_SYSTEM_SKEL_H__





