#include "UsesTimeStepSkel.h"
#include <hpcxx.h>

#include "../PORTS_REGISTRATION_ID.h"
#include "../../ccacore/RegisterType.h"
#include "../../../components/application/lsa/Common/TimeStep.h"

bool UsesTimeStepSkel::registerFlag = false;

int UsesTimeStepSkel :: sendTimeStep(TimeStep *ts) {

  for(vector<Port*>::iterator iter = providerList.begin();
      iter != providerList.end();  
      iter++) {
    Port *pidl = *iter;
    int dummy;
    if ((*pidl).skp) {
      cout << "UsesTimeStepSkel::call sendTimeStep "  << endl;
      cout.flush();
      hpcxx_minvoke((HPCxx_GlobalPtr<PortSkel> *)(*pidl).skp, dummy, SEND_TIME_STEP_ID, *ts);
    } else {
      cout << "UsesTimeStepSkel::registerListener::Unbound ProvidesPort Proxy !! \n";
    }
  }
  return 0;
}

void UsesTimeStepSkel::registerSelf () {
  if (!registerFlag) {
    registerFlag = true;
    registerUsesPortType("TimeStep_idl", 
					*(new UsesTimeStepSkel()));
  }
}

// these methods will never be called
// as we never move skels around
void hpcxx_pack(HPCxx_Buffer& b, UsesTimeStepSkel* p, int count) {}
void hpcxx_unpack(HPCxx_Buffer& b, UsesTimeStepSkel* p, int count){}


