// -*-c++-*-

#ifndef _USES_TIME_STEP_SKEL_H__
#define _USES_TIME_STEP_SKEL_H__

#include "../../ccacore/Port.h"
#include "../../ccacore/UsesPort.h"
#include "../../ccacore/ProvidesPort.h"
#include "../../ccacore/PortSkelUses.h"
#include "../../ccacore/PortSkel.h"
#include "../../util/MyHPCxx_GlobalPtr.h"
#include "ProvidesTimeStep.h"
#include "UsesTimeStep.h"
#include "TimeStep_idl.h"
#include "../PORTS_REGISTRATION_ID.h"
#include <iostream.h>
#include <string>


class UsesTimeStepSkel: public UsesTimeStep {
public:
  UsesTimeStepSkel(): UsesTimeStep() {}
  UsesTimeStepSkel(Port *): UsesTimeStep() {}
  
  // these are local method invocations
  int sendTimeStep(TimeStep *ts);
  friend void hpcxx_pack(HPCxx_Buffer& b, UsesTimeStepSkel* p, int count);
  friend void hpcxx_unpack(HPCxx_Buffer& b, UsesTimeStepSkel* p, int count);

  // port registration
  static void registerSelf ();
  
private:
  static bool registerFlag;  
};

#endif // _USES_TIME_STEP_SKEL_H__





