// -*-c++-*-
#ifndef _USES_TIME_STEP_PARMS_SKEL_H__
#define _USES_TIME_STEP_PARMS_SKEL_H__



#include "UsesTimeStepParms.h"



class Port;



class UsesTimeStepParmsSkel: public UsesTimeStepParms {

        friend void hpcxx_pack(HPCxx_Buffer& b, UsesTimeStepParmsSkel* p,
         int count);
        friend void hpcxx_unpack(HPCxx_Buffer& b, UsesTimeStepParmsSkel* p,
         int count);

    public:

        UsesTimeStepParmsSkel() : UsesTimeStepParms() {}
        UsesTimeStepParmsSkel(Port *) : UsesTimeStepParms() {}

        // these are local method invocations
        int sendTimeStepParms(TimeGenParms *tsp);
        int start();
        int stop();
        int kill();
        char* getOutputURL();

    public:

        // port registration
        static void registerSelf ();

    private:

        static bool registerFlag;  
};



#endif
