#ifndef __HPCXX_BYTE_H
#define __HPCXX_BYTE_H

#include <hpcxx_rts.h>
#include <iostream.h>

class hpcxx_byte {
public:
  unsigned char byte;
public:
  hpcxx_byte();
  hpcxx_byte(unsigned char b);
  ~hpcxx_byte();
  
  friend ostream& operator <<(ostream& o, hpcxx_byte& hb);
  friend void hpcxx_pack(HPCxx_Buffer &buffer, hpcxx_byte *data, int count);
  friend void hpcxx_unpack(HPCxx_Buffer &buffer, hpcxx_byte *data, int count);
};

void hpcxx_pack(HPCxx_Buffer &buffer, hpcxx_byte *data, int count);
void hpcxx_unpack(HPCxx_Buffer &buffer, hpcxx_byte *data, int count);

#endif // __HPCXX_BYTE_H
