import idl.eventPort.*;

class EventPort_impl {

	EventPort_impl(EventQueueManager eqm) {
		eventQueueManager = eqm;
	}

	public void notify(CCATEvent ev) {

		String et = new String(ev.getType());

System.err.println("notify: " + et);

		while (true) {

			int p;
			EventQueue eq = eventQueueManager.lookup(et);

System.err.println("lookup: " + et);
			if (eq != null) {
System.err.println("sending: " + ev.getKey());
				eq.send(ev);
			}

			if ((p = et.lastIndexOf('.')) == -1) {
				break;
			}

			et = et.substring(0, p);
		}
	}

	private EventQueueManager eventQueueManager;
}
