function bindInstance (componentModel, bindingName)

% BINDINSTANCE binds 'componentModel' with name 'bindingName'
% in the instance registry.
%	bindInstance takes in a handle to a live component
%	handle and puts it in the current context in the
%	registry with the name 'bindingName'. A bound
%	instance can be unbound using the unbindInstance()
%	function. A bound instace can be copied by using
%       the copyInstanceFromRegistry() function.
%	-- Last modified by Madhuri on 04 March, 2000. 


global COMPOSITION_TOOL

bindInstance (getController (COMPOSITION_TOOL), componentModel, bindingName)
