package servlet;

import javax.servlet.http.HttpServletRequest;
import java.io.PrintWriter;
import java.io.IOException;
import registry.InstanceInfo;
import registry.InstanceXMLUtils;

public class InstanceCopyRequestHandler {

    public static void startCopy(HttpServletRequest request, PrintWriter out,
				 WorkingAreaModel compositionModel) {
	// display a text area in which the user can paste instance information
	out.println("<html><head><title>Paste instance XML information</title><body bgcolor=\"#FFFFFF\"><h3>Paste instance XML information</h3><FORM ACTION=\"/servlets/servlet.ServletComponent\"METHOD=\"POST\"><TEXTAREA ROWS=\"30\" COLS=\"60\" NAME=\"instanceinfo\"></TEXTAREA><INPUT TYPE=\"HIDDEN\" NAME=\"command\" VALUE=\"midinstancecopy\"><INPUT TYPE=\"SUBMIT\" NAME=\"submit\" VALUE=\"Copy instance\"></FORM><br><img src=\"/servlets/FreshImage\"><br><b><a href=\"/servlets/servlet.ServletComponent\">Back to main menu</a></b></body></html>");
    }

    public static void completeCopy(HttpServletRequest request, PrintWriter out,
				    WorkingAreaModel compositionModel) 
	throws IOException {
	// create instance information from the pasted information
	// and make a copy of the instance
	// create a component model from it and add it to the workspace
	// give the user the main screen

	// get the instance information
	String instanceXML = request.getParameter("instanceinfo");
	// create an instance from this
	InstanceInfo instanceInfo = 
	    InstanceXMLUtils.createInstanceInfoFromXML(instanceXML);
	// create a component model and add to workspace
	ComponentModel newComponent = new ComponentModel(instanceInfo);
	// add this to the workspace
	compositionModel.addComponent(newComponent);
	compositionModel.drawSession();
	out.println(ServletComponent.getDefaultMenu(request.getSession(false)));
    }
}
