package contactgrok;

import java.util.*;
import java.io.*;
import java.net.*;

public class FileGrok {

    public static String getContactString(String host)
    {
	RandomAccessFile mdsfile=null;
	String filename;
	String theLine=null;
	String result=null;
	InetAddress theAddress;
	
	filename=System.getProperty("user.home") + "/.globus/.mdscontacts";
	
	try {
	    mdsfile=new RandomAccessFile(filename, "r");
	    
	    while((theLine=mdsfile.readLine())!=null) {
		StringTokenizer tzr=new StringTokenizer(theLine, "{}");
		result=tzr.nextToken();
		if(host.equals(result)) {
		    result=tzr.nextToken();
		    break;
		}
	    }
	    if(theLine==null) result=null;
	}
	catch (FileNotFoundException e) {
	    System.out.println("File Not Found : " + filename);
	}
	catch (IOException e) {
	    System.out.println("Got an IOException : " + e);
	}
	finally {
	    return result;
	}
    }
}
