package contactgrok;

import java.net.*;

public class FixHostname {
    public static String fixHostname(String host) {
	InetAddress theAddress;
	String hostname=null;
	try {
	    theAddress=InetAddress.getByName(host);
	    hostname=InetAddress.getByName(theAddress.getHostAddress()).getHostName();
	}
	catch (UnknownHostException e) {
	    System.out.println("Unable to resolve : " + host);
	}
	finally {
	    return hostname;
	}
    }
}

