
//   This interface is used by the user
//   to instantiate components using various
//   protocols like gram, rsh, ssh, exec and fork.
//   --Madhu
  
package creation;

import ccacore.Port;
import ccacore.ComponentID;
import exceptions.*;
import util.EnvObj;

public interface CreationService extends Port {

  public ComponentID createInstance(EnvObj env)  throws InstantiateException;
  public void deleteInstance(ComponentID id) throws InstantiateException;
}
