package idl.assembleParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesAssembleParmsSkel extends UsesPortImpl 
implements UsesAssembleParms {

  // consructors
  public UsesAssembleParmsSkel() {
    super();
  }
    
  // remote methods
  public int sendAssembleParms() 
       throws RemoteException {

	 System.out.println("UsesassembleParmsSkel::sendassembleParms called");
	 System.out.flush();	   

	 int result = 0;
	 for(int i = 0; i < portList.size(); i++) {
	   ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	   System.out.println("UsesassembleParmsSkel::assembleParms" +
			      " retrieved providesPort" + remoteRef.getClass());
	   try {
	     result = 
	       ((ProvidesAssembleParms)remoteRef).sendAssembleParms ();
	   } catch (Exception e) {
	     System.out.println(e);
	   }
	 }
	 return result;	   
  }

  public int start() throws RemoteException {
    System.out.println("UsesassembleParmsSkel:: start called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesassembleParmsSkel::start" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesAssembleParms)remoteRef).start ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

  public int stop() throws RemoteException {
    System.out.println("UsesassembleParmsSkel:: stop called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesassembleParmsSkel::stop" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesAssembleParms)remoteRef).stop ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

  public int kill() throws RemoteException {
    System.out.println("UsesassembleParmsSkel:: kill called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesassembleParmsSkel::kill" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesAssembleParms)remoteRef).kill ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

    public String getOutputURL() throws RemoteException {
	System.out.println("UsesAssembleParmsSkel:: getOutputURL called");
	System.out.flush();
	
	String result="";
	for(int i = 0; i < portList.size(); i++) {
	    ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	    System.out.println("UsesAssembleParmsSkel::getOutputURL" +
			       " retrieved providesPort" + remoteRef.getClass());
	    try {
		result = 
		    ((ProvidesAssembleParms)remoteRef).getOutputURL ();
	    } catch (Exception e) {
		System.out.println(e);
	    }
	}
	return result;
    }
}

