package idl.control;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesControlSkel extends UsesPortImpl implements UsesControl {

  public UsesControlSkel() {
    super();
    // initialize the list
    portList = new Vector();
   }
  
  public int startExecuting() throws RemoteException {
    int result = 0;
    System.out.println("\nUsesControlSkel::startExecuting() called");
    for( int i = 0; i < portList.size(); i++){
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);
      System.out.println("\nUsesEventPortSkel::startExecuting() retrieved providesPort" + remoteRef.getClass());
      try {
	result = ((ProvidesControl)remoteRef).startExecuting();
      } catch(Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }
  
  public int kill() throws RemoteException {
    int result = 0;
    System.out.println("\nUsesControlSkel::kill() called");
    for( int i = 0; i < portList.size(); i++){
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);
      System.out.println("\nUsesEventPortSkel::kill() retrieved providesPort" + remoteRef.getClass());
      try {
	result = ((ProvidesControl)remoteRef).kill();
      } catch(Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }
}
