package idl.discretizerParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesDiscretizerParmsSkel extends UsesPortImpl 
implements UsesDiscretizerParms {

  // consructors
  public UsesDiscretizerParmsSkel() {
    super();
  }
    
  // remote methods
  public int sendDiscretizerParms() 
       throws RemoteException {

	 System.out.println("UsesdiscretizerParmsSkel::senddiscretizerParms called");
	 System.out.flush();	   

	 int result = 0;
	 for(int i = 0; i < portList.size(); i++) {
	   ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	   System.out.println("UsesdiscretizerParmsSkel::discretizerParms" +
			      " retrieved providesPort" + remoteRef.getClass());
	   try {
	     result = 
	       ((ProvidesDiscretizerParms)remoteRef).sendDiscretizerParms();
	   } catch (Exception e) {
	     System.out.println(e);
	   }
	 }
	 return result;	   
  }

  public int start() throws RemoteException {
    System.out.println("UsesdiscretizerParmsSkel:: start called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesdiscretizerParmsSkel::start" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesDiscretizerParms)remoteRef).start ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

  public int stop() throws RemoteException {
    System.out.println("UsesdiscretizerParmsSkel:: stop called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesdiscretizerParmsSkel::stop" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesDiscretizerParms)remoteRef).stop ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

  public int kill() throws RemoteException {
    System.out.println("UsesdiscretizerParmsSkel:: kill called");
    System.out.flush();

    int result = 0;
    for(int i = 0; i < portList.size(); i++) {
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
      System.out.println("UsesdiscretizerParmsSkel::kill" +
			 " retrieved providesPort" + remoteRef.getClass());
      try {
	result = 
	  ((ProvidesDiscretizerParms)remoteRef).kill ();
      } catch (Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

    public String getOutputURL() throws RemoteException {
	System.out.println("UsesDiscretizerParmsSkel:: getOutputURL called");
	System.out.flush();
	
	String result="";
	for(int i = 0; i < portList.size(); i++) {
	    ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	    System.out.println("UsesDiscretizerParmsSkel::getOutputURL" +
			       " retrieved providesPort" + remoteRef.getClass());
	    try {
		result = 
		    ((ProvidesDiscretizerParms)remoteRef).getOutputURL ();
	    } catch (Exception e) {
		System.out.println(e);
	    }
	}
	return result;
    }
}

