package idl.eventChannel;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesFilteringEventChannelSkel extends UsesPortImpl implements UsesFilteringEventChannel {

  public UsesFilteringEventChannelSkel() {
    super();
    // initialize the list
    portList = new Vector();
   }
  
  public int registerListener(ComponentID listener, String listenerProvidesPort, String type) throws RemoteException {
    int result = 0;
    System.out.println("\nUsesFilteringEventChannelSkel::registerListener called");
    for( int i = 0; i < portList.size(); i++){
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);
      System.out.println("\nUsesFilteringEventChannelSkel::registerListener retrieved providesPort" + remoteRef.getClass());
      try {
	result = ((ProvidesFilteringEventChannel)remoteRef).registerListener(listener, listenerProvidesPort, type);
      } catch(Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

    public int registerPublisher(ComponentID publisher, String publisherUsesPort) throws RemoteException {
    int result = 0;
    System.out.println("\nUsesFilteringEventChannelSkel::registerPublisher called");
    for( int i = 0; i < portList.size(); i++){
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);
      System.out.println("\nUsesFilteringEventChannelSkel::registerPublisher retrieved providesPort" + remoteRef.getClass());
      try {
	result = ((ProvidesFilteringEventChannel)remoteRef).registerPublisher(publisher, publisherUsesPort);
      } catch(Exception e) {
	System.out.println(e);
      }
    }
    return result;
  }

    public int unregister(ComponentID component, String portName) throws RemoteException {
    int result = 0;
    System.out.println("\nUsesFilteringEventChannelSkel::unregister called");
    for( int i = 0; i < portList.size(); i++){
      ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);
      System.out.println("\nUsesFilteringEventChannelSkel::unregister retrieved providesPort" + remoteRef.getClass());
      try {
	result = ((ProvidesFilteringEventChannel)remoteRef).unregister(component, portName);
      } catch(Exception e) {
	System.out.println(e);
      }
    }
    return result;
    }
}
