package idl.reorderParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesReorderParmsSkel extends UnicastRemoteObject 
    implements ProvidesReorderParms {

    // data
    private ProvidesReorderParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesReorderParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesReorderParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesReorderParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendReorderParms(ReorderParms bip) 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }
}

