package idl.scaleParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesScaleParmsSkel extends UnicastRemoteObject 
    implements ProvidesScaleParms {

    // data
    private ProvidesScaleParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesScaleParmsSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesScaleParmsSkel::setProxy() called");
	   
	   thePort = (ProvidesScaleParms) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendScaleParms(ScaleParms bip) 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }
}

