package idl.solutionVector;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesSolutionVectorSkel extends UnicastRemoteObject 
    implements ProvidesSolutionVector {

    // data
    private ProvidesSolutionVector thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesSolutionVectorSkel() throws RemoteException {
	   super();
	   isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
	   // initialize the implementing port reference
	   System.out.println("\n ProvidesSolutionVectorSkel::setProxy() called");
	   
	   thePort = (ProvidesSolutionVector) _thePort;
	   isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendSolutionVector(SolutionVector bip) 
	   throws RemoteException {
	   return 0;
    }

    public int start() throws RemoteException {
	   return 0;
    }

    public int stop() throws RemoteException {
	   return 0;
    }

    public int kill() throws RemoteException {
	   return 0;
    }
}

