package idl.splibParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesSplibParmsSkel extends UsesPortImpl 
    implements UsesSplibParms {

    // consructors
    public UsesSplibParmsSkel() {
	   super();
    }
    
    // remote methods
    public int sendSplibParms(SplibParms bip) 
	   throws RemoteException {

	   System.out.println("UsesSplibParmsSkel::sendSplibParms called");
	   System.out.flush();	   

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSplibParmsSkel::splibParms" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSplibParms)remoteRef).sendSplibParms (bip);
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;	   
    }

    public int start() throws RemoteException {
	   System.out.println("UsesSplibParmsSkel:: start called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSplibParmsSkel::start" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSplibParms)remoteRef).start ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int stop() throws RemoteException {
	   System.out.println("UsesSplibParmsSkel:: stop called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSplibParmsSkel::stop" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSplibParms)remoteRef).stop ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int kill() throws RemoteException {
	   System.out.println("UsesSplibParmsSkel:: kill called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSplibParmsSkel::kill" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSplibParms)remoteRef).kill ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public String getOutputURL() throws RemoteException {
	System.out.println("UsesSplibParmsSkel:: getOutputURL called");
	System.out.flush();
	
	String result="";
	for(int i = 0; i < portList.size(); i++) {
	    ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	    System.out.println("UsesSplibParmsSkel::getOutputURL" +
			       " retrieved providesPort" + remoteRef.getClass());
	    try {
		result = 
		    ((ProvidesSplibParms)remoteRef).getOutputURL ();
	    } catch (Exception e) {
		System.out.println(e);
	    }
	}
	return result;
    }
}

