package idl.superLUParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class UsesSuperLUParmsSkel extends UsesPortImpl 
    implements UsesSuperLUParms {

    // consructors
    public UsesSuperLUParmsSkel() {
	   super();
    }
    
    // remote methods
    public int sendSuperLUParms(SuperLUParms bip) 
	   throws RemoteException {

	   System.out.println("UsesSuperLUParmsSkel::" + 
					  "sendSuperLUParms called");
	   System.out.flush();	   

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSuperLUParmsSkel::superLUParms" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSuperLUParms)remoteRef).sendSuperLUParms (bip);
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;	   
    }

    public int start() throws RemoteException {
	   System.out.println("UsesSuperLUParmsSkel:: start called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSuperLUParmsSkel::start" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSuperLUParms)remoteRef).start ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int stop() throws RemoteException {
	   System.out.println("UsesSuperLUParmsSkel:: stop called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSuperLUParmsSkel::stop" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSuperLUParms)remoteRef).stop ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public int kill() throws RemoteException {
	   System.out.println("UsesSuperLUParmsSkel:: kill called");
	   System.out.flush();

	   int result = 0;
	   for(int i = 0; i < portList.size(); i++) {
		  ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
		  System.out.println("UsesSuperLUParmsSkel::kill" +
						 " retrieved providesPort" + remoteRef.getClass());
		  try {
			 result = 
				((ProvidesSuperLUParms)remoteRef).kill ();
		  } catch (Exception e) {
			 System.out.println(e);
		  }
	   }
	   return result;
    }

    public String getOutputURL() throws RemoteException {
	System.out.println("UsesSuperLUParmsSkel:: getOutputURL called");
	System.out.flush();
	
	String result="";
	for(int i = 0; i < portList.size(); i++) {
	    ProvidesPort remoteRef = (ProvidesPort) portList.elementAt(i);		  
	    System.out.println("UsesSuperLUParmsSkel::getOutputURL" +
			       " retrieved providesPort" + remoteRef.getClass());
	    try {
		result = 
		    ((ProvidesSuperLUParms)remoteRef).getOutputURL ();
	    } catch (Exception e) {
		System.out.println(e);
	    }
	}
	return result;
    }
}

