package idl.timeStepParms;

import ccacore.*;
import java.util.*;
import java.io.*;
import nexusrmi.*;
import nexusrmi.server.*;


public class ProvidesTimeStepParmsSkel extends UnicastRemoteObject 
    implements ProvidesTimeStepParms {

    // data
    private ProvidesTimeStepParms thePort;
    private boolean isProxy;
    
    // constructor
    public ProvidesTimeStepParmsSkel() throws RemoteException {
      super();
      isProxy = false;
    }
    
    // utility methods
    public void setProxy(ProvidesPort _thePort) throws Exception {
      // initialize the implementing port reference
      System.out.println("\n ProvidestimeStepParmsSkel::setProxy() called");
      thePort = (ProvidesTimeStepParms) _thePort;
      isProxy = true;
    }
    
    // Remote dummy methods. Just there so that NexusRMI stub compiler can
    // generate the right stubs.
    public int sendTimeStepParms(TimeStepParms tsp) 
       throws RemoteException {
	 return 0;
    }
      
  public int start() throws RemoteException {
    return 0;
  }
      
  public int stop() throws RemoteException {
    return 0;
  }
      
  public int kill() throws RemoteException {
    return 0;
  }

    public String getOutputURL() 
	throws RemoteException {
	return "";
    }
}

