
package nexus;

public class EndpointAttr extends Object
{
    private Nexus				nexus;
    private HandlerInterface			handler_object;
    private ProtoInfo				protoInfo = null;
    // private int				transform_id;
    // private TransInfo			transform_info;

    /*
     * EndpointAttr()
     *
     * To instantiate a null EndpointAttr with default proto
     */
    public
    EndpointAttr(
	Nexus					nexus)
    {
	this.nexus = nexus;
    }
    /* EndpointAttr() */

    /*
     * get_handler_object()
     *
     * Return the HandlerInterface object.
     */
    public
    HandlerInterface
    get_handler_object()
    {
	return (this.handler_object);
    }
    /* get_handler_object() */
  
    /*
     * set_handler_object()
     *
     * Set the HandlerInterface object to which RSR are dispatched.
     */
    public
    void
    set_handler_object(
	HandlerInterface			handler_object)
    {
	this.handler_object = handler_object;
    }
    /* set_handler_object() */
    
    /*
     * get_protocol()
     */ 
    public
    ProtoInfo
    get_protocol()
    {
	if (protoInfo == null)
	{
	    return new TcpInfo();
	}
	else
	{
	    return this.protoInfo;
	}
    }
    /* get_protocol() */ 

    /*
     * set_protocol()
     */ 
    public
    void
    set_protocol(
	ProtoInfo				protoInfo)
    {
	this.protoInfo = protoInfo;
    }
    /* set_protocol() */ 

    /*
     * get_transform()
     */
    /*
    public
    int
    get_transform(
         TransformInfo				transform_info)
    {
	transform_info = this.transform_info;
	return this.transform_id;
    }
    /* get_transform() */ 

    /*
     * set_transform()
     */
    /*
    public
    void
    set_transform(
        int					transform_id,
	TransformInfo				transform_info)
    {
	this.transform_id = transform_id;
	this.transform_info = transform_info;
    }
    /* set_transform() */ 

}
/* class EndpointAttr */
