/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * RMISecurityException.java
 *
 */


package nexusrmi;

// unchanged (and unused)
public class RMISecurityException extends java.lang.SecurityException
{
    public RMISecurityException(String name)
    {
	super(System.getProperty("security." + name, "security." + name));
	System.out.println("*** Security Exception: " + name + " ***");
	printStackTrace();
    }

    public RMISecurityException(String name, String arg)
    {
	super(System.getProperty("security." + name, "security." + name) + ": " + arg);
	System.out.println("*** Security Exception: " + name + ":" + arg + " ***");
	printStackTrace();
    }
}
