/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * RemoteException.java
 *
 */


package nexusrmi;

// unchanged
public class RemoteException extends java.io.IOException
{
    public Throwable detail;

    public RemoteException()
    {
    }

    public RemoteException(String s)
    {
	super(s);
    }

    public RemoteException(String s, Throwable ex)
    {
	super(s);
	detail = ex;
    }

    public String getMessage()
    {
	if(detail == null)
	    return super.getMessage();
	else
	    return super.getMessage() + "; nested exception is: \n\t" + detail.toString();
    }
}
