/* 
 * NexusRMI
 *
 * Copyright (c) 1999
 * Fabian Breg
 * Indiana University/Leiden University
 * All Rights Reserved
 *
 * Please refer to the LICENSE file provided in this
 * distribution for full licensing terms and
 * conditions.
 *
 * Please report all bugs/problems to
 * breg@cs.indiana.edu
 *
 ******************************************************
 *
 * RemoteObject.java
 *
 */


package nexusrmi.server;

import nexusrmi.*;
import java.net.*;
import java.io.*;

// Not implemented yet...
public abstract class RemoteObject implements Remote, Serializable
{
    transient protected RemoteRef ref;
    
    protected RemoteObject()
    {
    }
    
    protected RemoteObject(RemoteRef newref)
    {
	ref = newref;
    }

    public int hashCode()
    {
	return super.hashCode();
    }

    public boolean equals(Object obj)
    {
	return super.equals(obj);
    }

    public String toString()
    {
	return "Remote: " + super.toString();
    }

    protected void finalize() throws Throwable
    {
	super.finalize();
    }
}
